/* eslint-disable no-bitwise, no-undef */

// Get Latest from http://www.unicode.org/Public/cldr/25/
Soho.Locale.addCulture('de-DE', {
  // layout/language
  language: 'de',
  englishName: 'German (Germany)',
  nativeName: 'Deutsch (Deutschland)',
  // layout/orientation/@characters
  direction: 'left-to-right',
  // ca-gregorian
  calendars: [{
    name: 'gregorian',
    // ca-gregorian/main/dates/calendars/gregorian/dateFormats/
    dateFormat: {
      separator: '.', // Infered
      timeSeparator: ':',
      short: 'dd.MM.yyyy', // use four digit year
      medium: 'dd.MM.yyyy',
      long: 'd. MMMM yyyy',
      full: 'EEEE, d. MMMM y',
      month: 'd. MMMM',
      year: 'MMMM yyyy',
      timestamp: 'HH:mm:ss',
      datetime: 'dd.MM.yyyy HH:mm'
    }, // Infered short + short gregorian/dateTimeFormats
    // ca-gregorian/main/dates/calendars/gregorian/days/format/short or abbreviated
    days: {
      wide: ['Sonntag', 'Montag', 'Dienstag', 'Mittwoch', 'Donnerstag', 'Freitag', 'Samstag'],
      abbreviated: ['So', 'Mo', 'Di', 'Mi', 'Do', 'Fr', 'Sa'],
      narrow: ['S', 'M', 'D', 'M', 'D', 'F', 'S']
    },
    // ca-gregorian/main/dates/calendars/gregorian/months/format/wide
    // ca-gregorian/main/dates/calendars/gregorian/months/format/wide and abbreviated
    months: {
      wide: ['Januar', 'Februar', 'März', 'April', 'Mai', 'Juni', 'Juli', 'August', 'September', 'Oktober', 'November', 'Dezember'],
      abbreviated: ['Jan', 'Feb', 'Mär', 'Apr', 'Mai', 'Jun', 'Jul', 'Aug', 'Sep', 'Okt', 'Nov', 'Dez']
    },
    // ca-gregorian/main/dates/calendars/gregorian/timeFormats/short
    timeFormat: 'HH:mm',
    // ca-gregorian/main/dates/calendars/gregorian/dayPeriods/abbreviated
    dayPeriods: ['vorm.', 'nachm.'] // Not used 24h
  }],
  // numbers/currencyFormats-numberSystem-latn/standard
  currencySign: '€', // (Replace Sign http://www.currencysymbols.in ?)
  currencyFormat: '#,##0.00 ¤',
  // numbers/symbols-numberSystem-latn
  numbers: {
    percentSign: '%',
    percentFormat: '#,##0 %',
    minusSign: '-',
    decimal: ',',
    group: '.'
  },
  // Resx
  messages: {
    AboutText: { id: 'AboutText', value: 'Copyright &copy; {0} Infor. Alle Rechte vorbehalten. Die hier aufgelisteten Wort- und Designmarken sind Markenzeichen und/oder geschützte Marken der Infor und/oder verbundener Unternehmen. Alle Rechte vorbehalten. Alle anderen hier genannten Markenzeichen sind das Eigentum der betreffenden Unternehmen.' },
    Actions: { id: 'Actions', value: 'Aktionen', comment: 'Tooltip text for the action button with additional in context actions' },
    AdditionalItems: { id: 'AdditionalItems', value: 'Zusätzliche Elemente', comment: 'Button tooltip used in a list of movable items' },
    Add: { id: 'Add', value: 'Hinzufügen', comment: 'Add' },
    AddNewTab: { id: 'AddNewTab', value: 'Neues Register hinzufügen', comment: 'Attached to a button that adds new tabs' },
    AdvancedFilter: { id: 'AdvancedFilter', value: 'Erweiterten Filter erstellen', comment: 'In a data grid active an advanced filtering feature' },
    Alert: { id: 'Alert', value: 'Benachrichtigung', comment: 'Alert' },
    AlertOnPage: { id: 'AlertOnPage', value: 'Alarmmeldung(en) auf Seite', comment: 'Alert message(s) on page n' },
    All: { id: 'All', value: 'Alle', comment: 'All items in the context of a filter' },
    AllResults: { id: 'AllResults', value: 'Alle Ergebnisse für', comment: 'Search Results Text' },
    AligntoBottom: { id: 'AligntoBottom', value: 'Unten ausrichten', comment: 'Align to Bottom tooltip' },
    AlignCenterHorizontally: { id: 'AlignCenterHorizontally', value: 'Horizontal zentrieren', comment: 'Align Center Horizontally tooltip' },
    Amber: { id: 'Amber', value: 'Bernstein', comment: 'Color in our color pallette' },
    Amethyst: { id: 'Amethyst', value: 'Amethyst', comment: 'Color in our color pallette' },
    Apply: { id: 'Apply', value: 'Übernehmen', comment: 'Text in a button to apply an action' },
    Attach: { id: 'Attach', value: 'Anhängen', comment: 'Attach' },
    Available: { id: 'Available', value: 'Verfügbar', comment: 'Button tooltip used in a list of movable items' },
    Azure: { id: 'Azure', value: 'Azur', comment: 'Color in our color pallette' },
    BackgroundColor: { id: 'BackgroundColor', value: 'Hintergrundfarbe', comment: 'add or edit text background color in the editor' },
    Between: { id: 'Between', value: 'Zwischen', comment: 'Between in icons for filtering' },
    Blockquote: { id: 'Blockquote', value: 'Blockzitat', comment: 'insert a block quote in the editor' },
    Bold: { id: 'Bold', value: 'Fett', comment: 'Make text Bold' },
    Bookmarked: { id: 'Bookmarked', value: 'Als Lesezeichen hinzugefügt', comment: 'Bookmark filled - Element is already bookmarked' },
    BookmarkThis: { id: 'BookmarkThis', value: 'Als Lesezeichen hinzufügen', comment: 'Bookmark an element' },
    Breadcrumb: { id: 'Breadcrumb', value: 'Breadcrumb', comment: 'Text describing the Breadcrumb' },
    Browser: { id: 'Browser', value: 'Browser', comment: 'As in a Web Browser' },
    BulletedList: { id: 'BulletedList', value: 'Aufzählung', comment: 'Bulleted List tooltip' },
    Calendar: { id: 'Calendar', value: 'Kalender', comment: 'Inline Text for the title of the Calendar control' },
    Camera: { id: 'Camera', value: 'Kamera', comment: 'Camera tooltip' },
    Cancel: { id: 'Cancel', value: 'Abbrechen', comment: 'Cancel tooltip' },
    CapsLockOn: { id: 'CapsLockOn', value: 'Feststelltaste ein', comment: 'Caps Lock On message' },
    Cart: { id: 'Cart', value: 'Warenkorb', comment: 'Cart tooltip' },
    CenterText: { id: 'CenterText', value: 'Zentrieren', comment: 'An Icon Tooltip' },
    CharactersLeft: { id: 'CharactersLeft', value: '{0} Zeichen verbleiben', comment: 'indicator showing how many more characters you can type.' },
    CharactersMax: { id: 'CharactersMax', value: 'Maximal mögliche Zeichen: ', comment: 'indicator showing how many max characters you can type.' },
    ChangeSelection: { id: 'ChangeSelection', value: '. Verwenden Sie die Pfeiltasten, um die Auswahl zu ändern.', comment: 'Audible Text for drop down list help' },
    Checkbox: { id: 'Checkbox', value: 'Kontrollkästchen', comment: 'Checkbox tooltip' },
    Checked: { id: 'Checked', value: 'Markiert', comment: 'Checked tooltip' },
    Clear: { id: 'Clear', value: 'Löschen', comment: 'Tooltip for a Clear Action' },
    ClearFilter: { id: 'ClearFilter', value: 'Filter löschen', comment: 'Clear the current filter criteria' },
    ClearSelection: { id: 'ClearSelection', value: '(Auswahl löschen)', comment: 'clear dropdown selection' },
    Clock: { id: 'Clock', value: 'Uhr', comment: 'Clock tooltip' },
    Close: { id: 'Close', value: 'Schließen', comment: 'Tooltip for a Close Button Action' },
    Clickable: { id: 'Clickable', value: 'In Editor klickbar', comment: 'Clickable in editor' },
    Copy: { id: 'Copy', value: 'Kopieren', comment: 'Copy tooltip' },
    Collapse: { id: 'Collapse', value: 'Ausblenden', comment: 'Collapse / close a tree/submenu' },
    CollapseAppTray: { id: 'CollapseAppTray', value: 'App-Bereich ausblenden', comment: 'Collapse App Tray tooltip' },
    Columns: { id: 'Columns', value: 'Spalten', comment: 'Columns tooltip' },
    Component: { id: 'Component', value: 'Komponente', comment: 'As in a UI component - building block.' },
    Compose: { id: 'Compose', value: 'Verfassen', comment: 'Compose tooltip' },
    Completed: { id: 'Completed', value: 'Abgeschlossen', comment: 'Text For a Completed Status' },
    Confirm: { id: 'Confirm', value: 'Bestätigen', comment: 'Confirm tooltip' },
    ConfirmOnPage: { id: 'ConfirmOnPage', value: 'Bestätigungsmeldung(en) auf Seite', comment: 'Confirm message(s) on page n' },
    CookiesEnabled: { id: 'CookiesEnabled', value: 'Cookies aktiviert', comment: 'Returns if browser cookies are enabled or not.' },
    Contains: { id: 'Contains', value: 'Enthält', comment: 'Contains in icons for filtering' },
    CssClass: { id: 'CssClass', value: 'CSS-Klasse', comment: 'Label for entering a Css Class name' },
    Cut: { id: 'Cut', value: 'Ausschneiden', comment: 'Cut tooltip' },
    Date: { id: 'Date', value: 'Datum', comment: 'Describes filtering by a date data type' },
    DaysOverdue: { id: 'DaysOverdue', value: '{0} Tage überfällig', comment: 'For a task /date UI' },
    DaysRemaining: { id: 'DaysRemaining', value: '{0} Tage verbleiben', comment: 'For a task /date UI' },
    Delete: { id: 'Delete', value: 'Löschen', comment: 'Delete Toolbar Action Tooltip' },
    DistributeHoriz: { id: 'DistributeHoriz', value: 'Horizontal verteilen', comment: 'Icon button tooltip for action that distributes elements across Horizontally' },
    Document: { id: 'Document', value: 'Dokument', comment: 'Document tooltip' },
    Dirty: { id: 'Dirty', value: 'Zeile wurde geändert', comment: 'Record is dirty / modified' },
    Drilldown: { id: 'Drilldown', value: 'Drill-Down', comment: 'Drill by moving page flow into a record' },
    Drillup: { id: 'Drillup', value: 'Drill-Up', comment: 'Opposite of Drilldown, move back up to a larger set of records' },
    Dropdown: { id: 'Dropdown', value: 'Dropdownliste', comment: 'Dropdown' },
    DoesNotContain: { id: 'DoesNotContain', value: 'Enthält nicht', comment: 'Does Not Contain in icons for filtering' },
    DoesNotEndWith: { id: 'DoesNotEndWith', value: 'Endet nicht mit', comment: 'For condition filtering' },
    DoesNotEqual: { id: 'DoesNotEqual', value: 'Ungleich', comment: 'Does Not Equal in icons for filtering' },
    DoesNotStartWith: { id: 'DoesNotStartWith', value: 'Beginnt nicht mit', comment: 'For condition filtering' },
    Down: { id: 'Down', value: 'Pfeil nach unten', comment: 'Down tooltip' },
    Download: { id: 'Download', value: 'Herunterladen', comment: 'Download tooltip' },
    Duplicate: { id: 'Duplicate', value: 'Duplizieren', comment: 'Duplicate tooltip' },
    EitherSelectedOrNotSelected: { id: 'EitherSelectedOrNotSelected', value: 'Ausgewählt/Nicht ausgewählt', comment: 'Either Selected Or NotSelected in icons for filtering' },
    EndsWith: { id: 'EndsWith', value: 'Endet mit', comment: 'for condition filtering' },
    EnterComments: { id: 'EnterComments', value: 'Kommentare hier eingeben...', comment: 'Placeholder text for a text input (comments)' },
    Error: { id: 'Error', value: 'Fehler', comment: 'Title, Spoken Text describing fact an error has occured' },
    ErrorAllowedTypes: { id: 'ErrorAllowedTypes', value: 'Dateityp ist nicht zulässig', comment: 'Error string for file-upload' },
    ErrorMaxFileSize: { id: 'ErrorMaxFileSize', value: 'Maximalwert für Dateigröße überschritten', comment: 'Error string for file-upload' },
    ErrorMaxFilesInProcess: { id: 'ErrorMaxFilesInProcess', value: 'Maximal zulässige Dateianzahl überschritten', comment: 'Error string for file-upload' },
    ErrorOnPage: { id: 'ErrorOnPage', value: 'Fehlermeldung(en) auf Seite', comment: 'Error message(s) on page n' },
    EmailValidation: { id: 'EmailValidation', value: 'E-Mail-Adresse ungültig', comment: 'This the rule for email validation' },
    Emerald: { id: 'Emerald', value: 'Smaragd', comment: 'Color in our color pallette' },
    Expand: { id: 'Expand', value: 'Erweitern', comment: 'Expand open a tree/submenu' },
    ExpandAppTray: { id: 'ExpandAppTray', value: 'App-Bereich erweitern', comment: 'ExpandAppTray tooltip' },
    ExpandCollapse: { id: 'ExpandCollapse', value: 'Erweitern/Ausblenden', comment: 'Text to toggle a button in a container.' },
    ExportAsSpreadsheet: { id: 'ExportAsSpreadsheet', value: 'Als Tabelle exportieren', comment: 'Export as Spreadsheet tooltip' },
    Edit: { id: 'Edit', value: 'Bearbeiten', comment: 'Edit tooltip' },
    Equals: { id: 'Equals', value: 'Gleich', comment: 'Equals in icons for filtering' },
    ExitFullView: { id: 'ExitFullView', value: 'Vollbild verlassen', comment: 'Exit Full View tooltip' },
    Export: { id: 'Export', value: 'Exportieren', comment: 'Export tooltip' },
    ExportToExcel: { id: 'ExportToExcel', value: 'Export nach Excel', comment: 'Export To Excel menu option in datagrid' },
    Favorite: { id: 'Favorite', value: 'Favorit', comment: 'A favorite item' },
    FileUpload: { id: 'FileUpload', value: 'Datei hochladen. Drücken Sie die Eingabetaste, um nach einer Datei zu suchen', comment: 'Screen Reader instructions' },
    Filter: { id: 'Filter', value: 'Filter', comment: 'Filter tooltip' },
    FirstPage: { id: 'FirstPage', value: 'Erste Seite', comment: 'First Page tooltip' },
    Folder: { id: 'Folder', value: 'Ordner', comment: 'Folder tooltip' },
    FullView: { id: 'FullView', value: 'Vollbild', comment: 'Full View tooltip' },
    GoForward: { id: 'GoForward', value: 'Vorwärts', comment: 'Move Page / object this direction' },
    GoBack: { id: 'GoBack', value: 'Zurück', comment: 'Move Page / object this directionp' },
    GoDown: { id: 'GoDown', value: 'Nach unten', comment: 'Move Page / object this directionp' },
    GoUp: { id: 'GoUp', value: 'Nach oben', comment: 'Move Page / object this direction' },
    Go: { id: 'Go', value: 'Go', comment: 'Go, perform a movement, start a search, move to the next "thing" in a workflow.' },
    Graphite: { id: 'Graphite', value: 'Graphit', comment: 'Color in our color pallette' },
    GreaterOrEquals: { id: 'GreaterOrEquals', value: 'Größer als oder gleich', comment: 'Greater Than Or Equals in icons for filtering' },
    GreaterThan: { id: 'GreaterThan', value: 'Größer als', comment: 'Greater Than in icons for filtering' },
    Grid: { id: 'Grid', value: 'Raster', comment: 'Grid tooltip' },
    Hours: { id: 'Hours', value: 'Stunden', comment: 'the hour portion of a time' },
    HeadingThree: { id: 'HeadingThree', value: 'Überschrift 3', comment: 'Heading Three tooltip' },
    HeadingFour: { id: 'HeadingFour', value: 'Überschrift 4', comment: 'Heading Four tooltip' },
    Highest: { id: 'Highest', value: 'Höchste', comment: 'Highest Four tooltip' },
    Home: { id: 'Home', value: 'Startseite', comment: 'Home tooltip' },
    HtmlView: { id: 'HtmlView', value: 'HTML-Ansicht', comment: 'Html View tooltip' },
    Image: { id: 'Image', value: 'Bild', comment: 'Image of something' },
    Import: { id: 'Import', value: 'Importieren', comment: 'Import tooltip' },
    Info: { id: 'Info', value: 'Info', comment: 'Info tooltip' },
    InfoOnPage: { id: 'InfoOnPage', value: 'Informationsmeldung(en) auf Seite', comment: 'Information message(s) on page n' },
    InProgress: { id: 'In Progress', value: 'In Bearbeitung', comment: 'Info tooltip that an action is in progress' },
    Insert: { id: 'Insert', value: 'Einfügen', comment: 'Insert Modal Dialog Button' },
    InsertAnchor: { id: 'InsertAnchor', value: 'Textmarke einfügen', comment: 'Insert Acnhor (link) in an editor' },
    InsertImage: { id: 'InsertImage', value: 'Bild einfügen', comment: 'Insert Image in an editor' },
    InsertLink: { id: 'InsertLink', value: 'Link einfügen', comment: 'Insert Link in an editor' },
    InsertUrl: { id: 'InsertUrl', value: 'URL einfügen', comment: 'Insert a Url in an editor' },
    Italic: { id: 'Italic', value: 'Kursiv', comment: 'Make Text Italic' },
    InvalidDate: { id: 'InvalidDate', value: 'Ungültiges Datum', comment: 'validation message for wrong date format (short)' },
    InvalidTime: { id: 'InvalidTime', value: 'Ungültige Zeitangabe', comment: 'validation message for wrong time format' },
    Inventory: { id: 'Inventory', value: 'Inventar', comment: 'Icon button tooltop for Inventory Action' },
    IsEmpty: { id: 'IsEmpty', value: 'Ist leer', comment: 'Is Empty in icons for filtering' },
    IsNotEmpty: { id: 'IsNotEmpty', value: 'Ist nicht leer', comment: 'Is Not Empty in icons for filtering' },
    ItemsSelected: { id: 'ItemsSelected', value: 'Elemente ausgewählt', comment: 'Num of Items selected for swaplist' },
    JustifyCenter: { id: 'JustifyCenter', value: 'Zentrieren', comment: 'justify text to center in the editor' },
    JustifyLeft: { id: 'JustifyLeft', value: 'Linksbündig', comment: 'justify text to left in the editor' },
    JustifyRight: { id: 'JustifyRight', value: 'Rechtsbündig', comment: 'justify text to right in the editor' },
    Keyword: { id: 'Keyword', value: 'Schlüsselwort', comment: 'Describes filtering by a keyword search' },
    Launch: { id: 'Launch', value: 'Starten', comment: 'Launch' },
    LastPage: { id: 'LastPage', value: 'Letzte Seite', comment: 'Last Page tooltip' },
    Left: { id: 'Left', value: 'Pfeil nach links', comment: 'Left tooltip' },
    LessOrEquals: { id: 'LessOrEquals', value: 'Kleiner als oder gleich', comment: 'Less Than Or Equals in icons for filtering' },
    LessThan: { id: 'LessThan', value: 'Kleiner als', comment: 'Less Than in icons for filtering' },
    Link: { id: 'Link', value: 'Link', comment: 'Link - as in hyperlink - icon tooltop' },
    Load: { id: 'Load', value: 'Laden', comment: 'Load icon tooltip' },
    Loading: { id: 'Loading', value: 'Laden...', comment: 'Text below spinning indicator to indicate loading' },
    Locale: { id: 'Locale', value: 'Gebietsschema', comment: 'The users locale string for example en-US, it-It' },
    Locked: { id: 'Locked', value: 'Gesperrt', comment: 'Locked tooltip' },
    Logout: { id: 'Logout', value: 'Abmelden', comment: 'Log out of the application' },
    Lookup: { id: 'Lookup', value: 'Abfrage', comment: 'Lookup - As in looking up a record or value' },
    Lowest: { id: 'Lowest', value: 'Niedrigste', comment: 'Lowest - As in Lowest value' },
    Mail: { id: 'Mail', value: 'E-Mail', comment: 'Mail tooltip' },
    MapPin: { id: 'MapPin', value: 'Stecknadel', comment: 'Map Pin tooltip' },
    Maximize: { id: 'Maximize', value: 'Maximieren', comment: 'Maximize a screen or dialog in the UI' },
    Median: { id: 'Median', value: 'Median', comment: 'Median in Mathematics' },
    Medium: { id: 'Medium', value: 'Mittel', comment: 'Describes a Medium sized Row Height in a grid/list' },
    Menu: { id: 'Menu', value: 'Menü', comment: 'Menu tooltip' },
    MingleShare: { id: 'MingleShare', value: 'In Ming.le veröffentlichen', comment: 'Share the contextual object/action in the mingle system' },
    Minutes: { id: 'Minutes', value: 'Minuten', comment: 'the minutes portion of a time' },
    Minimize: { id: 'Minimize', value: 'Minimieren', comment: 'Minimize tooltip' },
    Minus: { id: 'Minus', value: 'Minus', comment: 'Minus tooltip' },
    Mobile: { id: 'Mobile', value: 'Mobil', comment: 'Indicates a mobile device (phone tablet ect)' },
    Month: { id: 'Month', value: 'Monat', comment: 'As in a date month' },
    More: { id: 'More', value: 'Mehr...', comment: 'Text Indicating More Buttons or form content' },
    MoreActions: { id: 'MoreActions', value: 'Mehr Aktionen', comment: 'Text on the More Actions button indictating hidden functions' },
    MoveToLeft: { id: 'MoveToLeft', value: 'Nach links verschieben', comment: 'Button tooltip used in a list of movable items' },
    MoveToRight: { id: 'MoveToRight', value: 'Nach rechts verschieben', comment: 'Button tooltip used in a list of movable items' },
    MsgDirty: { id: 'MsgDirty', value: ', Geändert', comment: 'for modified form fields' },
    NewDocument: { id: 'NewDocument', value: 'Neues Dokument', comment: 'New Document tooltip' },
    NewItem: { id: 'NewItem', value: 'Neues Element', comment: 'New item in listbuilder' },
    Next: { id: 'Next', value: 'Weiter', comment: 'Next in icons tooltip' },
    NextPage: { id: 'NextPage', value: 'Nächste Seite', comment: 'Next on Pager' },
    NextMonth: { id: 'NextMonth', value: 'Nächster Monat', comment: 'the label for the button that moves calendar to next/prev' },
    No: { id: 'No', value: 'Nein', comment: 'On a dialog button' },
    NoData: { id: 'NoData', value: 'Keine Daten verfügbar', comment: 'Shown when there is no rows shown in a list' },
    NoDataFilter: { id: 'NoDataFilter', value: 'Keine Daten verfügbar; ändern Sie die Filterkriterien, um mehr Ergebnisse zu erhalten.', comment: 'Shown when there is no rows shown in a list' },
    NoDataList: { id: 'NoDataList', value: 'Keine Daten verfügbar; wählen Sie einen Wert aus der Liste aus, um mehr Ergebnisse zu erhalten.', comment: 'Shown when there is no rows shown in a list' },
    NoResults: { id: 'NoResults', value: 'Keine Ergebnisse', comment: 'Search Results Text' },
    Normal: { id: 'Normal', value: 'Normal', comment: 'Normal row height' },
    Notes: { id: 'Notes', value: 'Kommentare', comment: 'Notes icon tooltip' },
    NotSelected: { id: 'NotSelected', value: 'Nicht ausgewählt', comment: 'Not Selected in icons for filtering' },
    NumberList: { id: 'NumberList', value: 'Aufzählung', comment: 'Number List tooltip' },
    Ok: { id: 'Ok', value: 'OK', comment: 'Ok button on a dialog' },
    OpenBackClose: { id: 'OpenBackClose', value: 'Öffnen / Zurück / Schließen', comment: 'Open / Back / Close tooltip' },
    OpenClose: { id: 'OpenClose', value: 'Öffnen / Schließen', comment: 'Open / Close tooltip' },
    OrderedList: { id: 'OrderedList', value: 'Nummerierte Liste einfügen/entfernen', comment: 'Insert an Ordered list in the editor' },
    Page: { id: 'Page', value: 'Seite ', comment: 'Text on the pager links' },
    PageOf: { id: 'PageOf', value: 'Seite {0} von {1}', comment: 'Pager Text Showing current and number of pages' },
    PageOn: { id: 'PageOn', value: 'Sie befinden sich auf Seite ', comment: 'Text on the pager links' },
    Paste: { id: 'Paste', value: 'Einfügen', comment: 'Paste icon tooltip' },
    PasswordValidation: { id: 'PasswordValidation', value: '<strong>Das Kennwort muss die folgenden Bedingungen erfüllen:</strong><br>Es muss mindestens 10 Zeichen umfassen<br>Es muss mindestens einen Großbuchstaben enthalten<br>Es muss mindestens einen Kleinbuchstaben enthalten<br>Es muss ein Sonderzeichen enthalten<br>Es darf Ihren Benutzernamen nicht enthalten<br>Es darf kein zuvor verwendetes Kennwort sein<br>', comment: 'Password validation requirements' },
    PasswordConfirmValidation: { id: 'PasswordConfirmValidation', value: 'Kennwörter müssen übereinstimmen', comment: 'Password Confirm validation' },
    Peak: { id: 'Peak', value: 'Höchstwert', comment: 'the max or peak value in a chart' },
    PersonalizeColumns: { id: 'PersonalizeColumns', value: 'Spalten individualisieren', comment: 'Customize Columns in a Grid' },
    Platform: { id: 'Platform', value: 'Plattform', comment: 'The users operating system i.e. mac, windows' },
    Period: { id: 'Period', value: 'Zeitraum', comment: 'the am/pm portion of a time' },
    PressDown: { id: 'PressDown', value: 'Drücken Sie die Nach-unten-Taste, um ein Datum auszuwählen', comment: 'the audible label for Tooltip about how to operate the date picker' },
    PressShiftF10: { id: 'PressShiftF10', value: 'Drücken Sie Umschalttaste+F10, um das Kontextmenü zu öffnen.', comment: 'the audible infor for screen readers on how to use a field with a popup menu' },
    Previous: { id: 'Previous', value: 'Zurück', comment: 'Previous icon tooltip - moved to previous record' },
    PreviousMonth: { id: 'PreviousMonth', value: 'Monat zurück', comment: 'the label for the button that moves calendar to next/prev' },
    PreviousPage: { id: 'PreviousPage', value: 'Vorherige Seite', comment: 'Previous Page tooltip' },
    Print: { id: 'Print', value: 'Drucken', comment: 'Print tooltip' },
    Range: { id: 'Range', value: 'Bereich', comment: 'Range for tooltip' },
    RecordsPerPage: { id: 'RecordsPerPage', value: '{0} Datensätze pro Seite', comment: 'Dropdown allows the user to select how many visible records {} shows select value.' },
    Redo: { id: 'Redo', value: 'Wiederherstellen', comment: 'Redo tooltip' },
    ReorderRows: { id: 'ReorderRows', value: 'Zeilen neu anordnen', comment: 'Drag and Reorder Grid Rows' },
    Refresh: { id: 'Refresh', value: 'Aktualisieren', comment: 'Refresh tooltip' },
    Required: { id: 'Required', value: 'Obligatorisch', comment: 'indicates a form field is manditory' },
    Reset: { id: 'Reset', value: 'Zurücksetzen', comment: 'Reset tooltip' },
    ResetDefault: { id: 'ResetDefault', value: 'Auf Standard zurücksetzen', comment: 'Reset Datagrid Columns, Filter and other Layout' },
    Result: { id: 'Result', value: 'Ergebnis', comment: 'Showing a single result in a List' },
    Results: { id: 'Results', value: 'Ergebnisse', comment: 'As in showing N Results (plural) in a List' },
    RightAlign: { id: 'RightAlign', value: 'Rechtsbündig', comment: 'Right Align tooltip' },
    RightAlignText: { id: 'RightAlignText', value: 'Rechtsbündig', comment: 'Right Align Text tooltip' },
    Right: { id: 'Right', value: 'Pfeil nach rechts', comment: 'Right' },
    Roles: { id: 'Roles', value: 'Rollen', comment: 'Roles tooltip' },
    RowHeight: { id: 'RowHeight', value: 'Zeilenhöhe', comment: 'Describes the Height for Rows in a Data Grid' },
    Ruby: { id: 'Ruby', value: 'Rubin', comment: 'Color in our color pallette' },
    RunFilter: { id: 'RunFilter', value: 'Filter ausführen', comment: 'Execute the current filter criteria' },
    Save: { id: 'Save', value: 'Speichern', comment: 'Save tooltip' },
    SaveCurrentView: { id: 'SaveCurrentView', value: 'Aktuelle Ansicht speichern', comment: 'Datagrids contain view sets. This menu option saves them' },
    SavedViews: { id: 'SavedViews', value: 'Gespeicherte Ansichten', comment: 'Label for a list of Views' },
    Seconds: { id: 'Seconds', value: 'Sekunden', comment: 'the seconds portion of a time' },
    Search: { id: 'Search', value: 'Suchen', comment: 'Search tooltip' },
    SearchColumnName: { id: 'SearchColumnName', value: 'Nach einem Spaltennamen suchen', comment: 'Search for a datagrid column by name' },
    SearchFolder: { id: 'SearchFolder', value: 'In Ordner suchen', comment: 'Search Folder tooltip' },
    SearchList: { id: 'SearchList', value: 'Liste durchsuchen', comment: 'Search List tooltip' },
    Select: { id: 'Select', value: 'Auswählen', comment: 'text describing a select action' },
    Selected: { id: 'Selected', value: 'Ausgewählt', comment: 'text describing a selected object' },
    SelectAll: { id: 'SelectAll', value: 'Alle auswählen', comment: 'describes the action of selecting all items available in a list' },
    Send: { id: 'Send', value: 'Senden', comment: 'Send tooltip' },
    SetTime: { id: 'SetTime', value: 'Zeit eingeben', comment: 'button text that inserts time when clicked' },
    Settings: { id: 'Settings', value: 'Einstellungen', comment: 'Settings tooltip' },
    Short: { id: 'Short', value: 'Klein', comment: 'Describes a Shorted Row Height in a grid/list' },
    ShowFilterRow: { id: 'ShowFilterRow', value: 'Filterzeile anzeigen', comment: 'Toggle a row with filer info above a list' },
    ShowLess: { id: 'ShowLess', value: 'Weniger anzeigen', comment: 'Show less form content' },
    ShowMore: { id: 'ShowMore', value: 'Mehr anzeigen', comment: 'Show more form content' },
    Slate: { id: 'Slate', value: 'Schiefer', comment: 'Color in our color pallette' },
    SlideOf: { id: 'SlideOf', value: 'Folie {0} von {1}', comment: 'Slide Text Showing current and total number of slides' },
    SlidesOf: { id: 'SlidesOf', value: 'Folien {0} und {1} von {2}', comment: 'Slides Text Showing current slides and total number of slides' },
    SliderHandle: { id: 'SliderHandle', value: 'Ziehpunkt für', comment: 'Description of the portion of a Slider control that is focusable and changes its value, followed in code by the name of the control' },
    SliderMaximumHandle: { id: 'SliderMaximumHandle', value: 'Höchstwertziehpunkt für', comment: 'Describes a maximum value handle in a Range (double slider), followed in code by the name of the control' },
    SliderMinimumHandle: { id: 'SliderMinimumHandle', value: 'Mindestwertziehpunkt für', comment: 'Describes a minimum value handle in a Range (double slider), followed in code by the name of the control' },
    SkipToMain: { id: 'SkipToMain', value: 'Zu Inhalt springen', comment: 'Skip link in header, jumps when clicked on to main area' },
    StartsWith: { id: 'StartsWith', value: 'Beginnt mit', comment: 'for condition filtering' },
    StepsCompleted: { id: 'StepsCompleted', value: '{0} von {1} Schritten abgeschlossen', comment: 'steps of a wizard/chart' },
    StrikeThrough: { id: 'StrikeThrough', value: 'Durchgestrichen', comment: 'turn on and off strike through text in text editor (like word)' },
    SortAtoZ: { id: 'SortAtoZ', value: 'Aufsteigend sortieren', comment: 'Sort A to Z in icons for filtering' },
    SortZtoA: { id: 'SortZtoA', value: 'Absteigend sortieren', comment: 'Sort Z to A in icons for filtering' },
    SortDown: { id: 'SortDown', value: 'Absteigend sortieren', comment: 'Sort Down tooltip' },
    SortUp: { id: 'SortUp', value: 'Aufsteigend sortieren', comment: 'Sort Up tooltip' },
    Subscript: { id: 'Subscript', value: 'Tiefgestellt', comment: 'Turn on and off Subscript text in text editor (like word)' },
    Superscript: { id: 'Superscript', value: 'Hochgestellt', comment: 'Turn on and off Superscript text in text editor (like word)' },
    Tabs: { id: 'Tabs', value: 'Registerkarten...', comment: 'Used in the Tabs Control\'s more menu, preceeded by a number that describes how many tabs are in the spillover menu' },
    Tack: { id: 'Tack', value: 'Anheften', comment: 'Pin an object' },
    Tall: { id: 'Tall', value: 'Groß', comment: 'Describes a Taller Row Height in a grid/list' },
    Target: { id: 'Target', value: 'Ziel', comment: 'Label for an input to enter a Target (Url Attribute)' },
    TestLocaleDefaults: { id: 'TestLocaleDefaults', value: 'Test Locale Defaults', comment: 'Do not translate' },
    TextColor: { id: 'TextColor', value: 'Farbe für Text', comment: 'add or edit text color in the editor' },
    TextDropArea: { id: 'DropArea', value: 'Dateien mit Drag & Drop zum Hochladen auswählen', comment: 'text for drop area for advanced fileupload' },
    TextDropAreaWithBrowse: { id: 'TextDropAreaWithBrowse', value: 'Dateien mit Drag &Drop oder über <span class="hyperlink">Dateien auswählen</span> zum Hochladen auswählen', comment: 'text for drop area with browse for advanced fileupload' },
    TextBtnCancel: { id: 'TextBtnCancel', value: 'Upload für diese Datei abbrechen', comment: 'text for cancel button for advanced fileupload' },
    TextBtnCloseError: { id: 'TextBtnCloseError', value: 'Fehler schließen', comment: 'text for error close button for advanced fileupload' },
    TextBtnRemove: { id: 'TextBtnRemove', value: 'Fehler schließen', comment: 'text for remove button for advanced fileupload' },
    Timer: { id: 'Timer', value: 'Timer', comment: 'Timer tooltip' },
    Today: { id: 'Today', value: 'Heute', comment: 'refering to today on a calendar' },
    ToggleBold: { id: 'ToggleBold', value: 'Fett ein/aus', comment: 'turn on and off bold in text editor (like word)' },
    ToggleH3: { id: 'ToggleH3', value: 'Überschrift 3 ein/aus', comment: 'turn on and off heading 3 text' },
    ToggleH4: { id: 'ToggleH4', value: 'Überschrift 4 ein/aus', comment: 'turn on and off heading 4 text' },
    ToggleItalic: { id: 'ToggleItalic', value: 'Kursiv ein/aus', comment: 'turn on and off Italic in text editor (like word)' },
    ToggleUnderline: { id: 'ToggleUnderline', value: 'Unterstrichen ein/aus', comment: 'turn on and off Underline in text editor (like word)' },
    Toolbar: { id: 'Toolbar', value: 'Symbolleiste', comment: 'describing the toolbar component' },
    TopAlign: { id: 'TopAlign', value: 'Oben ausrichten', comment: 'Top Align tooltip' },
    Total: { id: 'Total', value: 'Summe', comment: 'Mathematic total of a calculation' },
    Totals: { id: 'Totals', value: 'Summen', comment: 'Mathematic total of a calculation (plural)' },
    TreeCollapse: { id: 'TreeCollapse', value: 'Struktur ausblenden', comment: 'Tree Collapse tooltip' },
    TreeExpand: { id: 'TreeExpand', value: 'Struktur erweitern', comment: 'Tree Expand tooltip' },
    Turquoise: { id: 'Turquoise', value: 'Türkis', comment: 'Color in our color pallette' },
    Up: { id: 'Up', value: 'Pfeil nach oben', comment: 'Up tooltip' },
    Upload: { id: 'Upload', value: 'Hochladen', comment: 'Upload tooltip' },
    UnavailableDate: { id: 'UnavailableDate', value: 'Nicht verfügbares Datum', comment: 'Unavailable Date Text' },
    Underline: { id: 'Underline', value: 'Unterstrichen', comment: 'Make text Underlined' },
    Undo: { id: 'Undo', value: 'Rückgängig machen', comment: 'Undo tooltip' },
    Unlocked: { id: 'Unlocked', value: 'Nicht gesperrt', comment: 'Unlocked tooltip' },
    UnorderedList: { id: 'UnorderedList', value: 'Aufzählung einfügen/entfernen', comment: 'Insert an Unordered list in the editor' },
    Unsupported: { id: 'Unsupported', value: 'Der Inhalt ist nicht verfügbar, da einige Funktionen in Ihrer aktuellen Browser-Version nicht unterstützt werden.', comment: 'Suggesting browser upgrade for missing features.' },
    Url: { id: 'Url', value: 'URL', comment: 'Url tooltip' },
    UseArrow: { id: 'UseArrow', value: '. Verwenden Sie die Pfeiltasten zum Auswählen.', comment: 'Instructional comments for screen readers' },
    UseEnter: { id: 'UseEnter', value: '. Verwenden Sie die Eingabetaste oder Nach-unten-Taste für die Abfrage.', comment: 'Instructional comments for screen readers' },
    User: { id: 'User', value: 'Benutzer', comment: 'User tooltip' },
    UserProfile: { id: 'UserProfile', value: 'Benutzerprofil', comment: 'User Profile tooltip' },
    VerticalMiddleAlign: { id: 'VerticalMiddleAlign', value: 'Vertikal zentrieren', comment: 'Vertical Align tooltip' },
    ViewSource: { id: 'ViewSource', value: 'Quelle anzeigen', comment: 'Toggle the source view in the editor' },
    ViewVisual: { id: 'ViewVisual', value: 'Objekt anzeigen', comment: 'Toggle the visual view in the editor' },
    Year: { id: 'Year', value: 'Jahr', comment: 'As in a date year' },
    Yes: { id: 'Yes', value: 'Ja', comment: 'On a dialog button' }
  }
});
