/* eslint-disable no-bitwise, no-undef */

// Get Latest from http://www.unicode.org/Public/cldr/25/
Soho.Locale.addCulture('id-ID', {
  // layout/language
  language: 'id',
  englishName: 'Indonesian (Indonesia)',
  nativeName: 'Bahasa Indonesia (Indonesia)',
  // layout/orientation/@characters
  direction: 'left-to-right',
  // ca-gregorian
  calendars: [{
    name: 'gregorian',
    // ca-gregorian/main/dates/calendars/gregorian/dateFormats/
    dateFormat: {
      separator: '/', // Infered
      timeSeparator: '.',
      short: 'dd/MM/yyyy', // use four digit year
      medium: 'd MMM yyyy',
      long: 'd MMMM yyyy',
      full: 'EEEE, dd MMMM yyyy',
      month: 'd MMMM',
      year: 'MMMM yyyy',
      timestamp: 'HH:mm:ss',
      datetime: 'dd/MM/yyyy HH.mm'
    }, // Infered short + short gregorian/dateTimeFormats
    // ca-gregorian/main/dates/calendars/gregorian/days/format/short or abbreviated (2 digit)
    days: {
      wide: ['Minggu', 'Senin', 'Selasa', 'Rabu', 'Kamis', 'Jumat', 'Sabtu'],
      abbreviated: ['Min', 'Sen', 'Sel', 'Rab', 'Kam', 'Jum', 'Sab'],
      narrow: ['M', 'S', 'S', 'R', 'K', 'J', 'S']
    },
    // ca-gregorian/main/dates/calendars/gregorian/months/format/wide
    months: {
      wide: ['Januari', 'Februari', 'Maret', 'April', 'Mei', 'Juni', 'Juli', 'Agustus', 'September', 'Oktober', 'November', 'Desember'],
      abbreviated: ['Jan', 'Feb', 'Mar', 'Apr', 'Mei', 'Jun', 'Jul', 'Agt', 'Sep', 'Okt', 'Nov', 'Des']
    },
    // ca-gregorian/main/dates/calendars/gregorian/timeFormats/short
    timeFormat: 'HH.mm',
    // ca-gregorian/main/dates/calendars/gregorian/dayPeriods/wide
    dayPeriods: ['AM', 'PM']
  }],
  // numbers/currencyFormats-numberSystem-latn/standard (Replace Sign http://www.currencysymbols.in ?)
  currencySign: 'Rp', // (Replace Sign http://www.currencysymbols.in ?)
  currencyFormat: '¤#,##0.00',
  // numbers/symbols-numberSystem-latn
  numbers: {
    percentSign: '%',
    percentFormat: '#,##0 %',
    minusSign: '-',
    decimal: ',',
    group: '.'
  },
  // Resx - Approved By Translation Team
  messages: {
    AboutText: { id: 'AboutText', value: 'Hak cipta &copy; {0} Infor. Hak cipta dilindungi udang-undang. Kata dan tanda desain yang diatur di sini merupakan merek dagang dan/atau merek dagang terdaftar dari Infor dan/atau afiliasi serta anak perusahaannya yang terkait. Hak cipta dilindungi undang-undang. Semua merek dagang yang tercantum di sini adalah properti pemilik masing-masing merek tersebut.' },
    Actions: { id: 'Actions', value: 'Tindakan', comment: 'Tooltip text for the action button with additional in context actions' },
    AdditionalItems: { id: 'AdditionalItems', value: 'Item Tambahan', comment: 'Button tooltip used in a list of movable items' },
    Add: { id: 'Add', value: 'Tambahkan', comment: 'Add' },
    AddNewTab: { id: 'AddNewTab', value: 'Tambahkan Tab Baru', comment: 'Attached to a button that adds new tabs' },
    AdvancedFilter: { id: 'AdvancedFilter', value: 'Buat Filter Lebih Lanjut', comment: 'In a data grid active an advanced filtering feature' },
    Alert: { id: 'Alert', value: 'Peringatan', comment: 'Alert' },
    AlertOnPage: { id: 'AlertOnPage', value: 'Pesan peringatan pada halaman', comment: 'Alert message(s) on page n' },
    All: { id: 'All', value: 'Semua', comment: 'All items in the context of a filter' },
    AllResults: { id: 'AllResults', value: 'Semua Hasil Untuk', comment: 'Search Results Text' },
    AligntoBottom: { id: 'AligntoBottom', value: 'Ratakan Bawah', comment: 'Align to Bottom tooltip' },
    AlignCenterHorizontally: { id: 'AlignCenterHorizontally', value: 'Rata Tengah Horizontal', comment: 'Align Center Horizontally tooltip' },
    Amber: { id: 'Amber', value: 'Kuning', comment: 'Color in our color pallette' },
    Amethyst: { id: 'Amethyst', value: 'Kecubung', comment: 'Color in our color pallette' },
    Apply: { id: 'Apply', value: 'Terapkan', comment: 'Text in a button to apply an action' },
    Attach: { id: 'Attach', value: 'Lampirkan', comment: 'Attach' },
    Available: { id: 'Available', value: 'Tersedia', comment: 'Button tooltip used in a list of movable items' },
    Azure: { id: 'Azure', value: 'Biru Langit', comment: 'Color in our color pallette' },
    BackgroundColor: { id: 'BackgroundColor', value: 'Warna latar belakang', comment: 'add or edit text background color in the editor' },
    Between: { id: 'Between', value: 'Antara', comment: 'Between in icons for filtering' },
    Blockquote: { id: 'Blockquote', value: 'Kutipan blok', comment: 'insert a block quote in the editor' },
    Bold: { id: 'Bold', value: 'Tebal', comment: 'Make text Bold' },
    Bookmarked: { id: 'Bookmarked', value: 'Ditandai', comment: 'Bookmark filled - Element is already bookmarked' },
    BookmarkThis: { id: 'BookmarkThis', value: 'Tandai ini', comment: 'Bookmark an element' },
    Breadcrumb: { id: 'Breadcrumb', value: 'Breadcrumb', comment: 'Text describing the Breadcrumb' },
    Browser: { id: 'Browser', value: 'Peramban', comment: 'As in a Web Browser' },
    BulletedList: { id: 'BulletedList', value: 'Bullet list', comment: 'Bulleted List tooltip' },
    Calendar: { id: 'Calendar', value: 'Kalender', comment: 'Inline Text for the title of the Calendar control' },
    Camera: { id: 'Camera', value: 'Kamera', comment: 'Camera tooltip' },
    Cancel: { id: 'Cancel', value: 'Batalkan', comment: 'Cancel tooltip' },
    CapsLockOn: { id: 'CapsLockOn', value: 'Caps Lock On', comment: 'Caps Lock On message' },
    Cart: { id: 'Cart', value: 'Cart', comment: 'Cart tooltip' },
    CenterText: { id: 'CenterText', value: 'Tengah', comment: 'An Icon Tooltip' },
    CharactersLeft: { id: 'CharactersLeft', value: 'Karakter tersisa{0}', comment: 'indicator showing how many more characters you can type.' },
    CharactersMax: { id: 'CharactersMax', value: 'Jumlah karakter maksimal ', comment: 'indicator showing how many max characters you can type.' },
    ChangeSelection: { id: 'ChangeSelection', value: 'Untuk mengubah pilihan, gunakan tombol panah.', comment: 'Audible Text for drop down list help' },
    Checkbox: { id: 'Checkbox', value: 'Kotak periksa', comment: 'Checkbox tooltip' },
    Checked: { id: 'Checked', value: 'Diperiksa', comment: 'Checked tooltip' },
    Clear: { id: 'Clear', value: 'Bersihkan', comment: 'Tooltip for a Clear Action' },
    ClearFilter: { id: 'ClearFilter', value: 'Bersihkan Filter', comment: 'Clear the current filter criteria' },
    ClearSelection: { id: 'ClearSelection', value: '(Bersihkan Pilihan)', comment: 'clear dropdown selection' },
    Clock: { id: 'Clock', value: 'Jam', comment: 'Clock tooltip' },
    Close: { id: 'Close', value: 'Tutup', comment: 'Tooltip for a Close Button Action' },
    Clickable: { id: 'Clickable', value: 'Dapat diklik di editor', comment: 'Clickable in editor' },
    Copy: { id: 'Copy', value: 'Salin', comment: 'Copy tooltip' },
    Collapse: { id: 'Collapse', value: 'Ciutkan', comment: 'Collapse / close a tree/submenu' },
    CollapseAppTray: { id: 'CollapseAppTray', value: 'Ciutkan App Tray', comment: 'Collapse App Tray tooltip' },
    Columns: { id: 'Columns', value: 'Kolom', comment: 'Columns tooltip' },
    Component: { id: 'Component', value: 'Komponen', comment: 'As in a UI component - building block.' },
    Compose: { id: 'Compose', value: 'Susun', comment: 'Compose tooltip' },
    Completed: { id: 'Completed', value: 'Selesai', comment: 'Text For a Completed Status' },
    Confirm: { id: 'Confirm', value: 'Konfirmasi', comment: 'Confirm tooltip' },
    ConfirmOnPage: { id: 'ConfirmOnPage', value: 'Konfirmasi pesan pada halaman', comment: 'Confirm message(s) on page n' },
    CookiesEnabled: { id: 'CookiesEnabled', value: 'Cookie Diaktifkan', comment: 'Returns if browser cookies are enabled or not.' },
    Contains: { id: 'Contains', value: 'Tampung', comment: 'Contains in icons for filtering' },
    CssClass: { id: 'CssClass', value: 'Kelas Css', comment: 'Label for entering a Css Class name' },
    Cut: { id: 'Cut', value: 'Kerat', comment: 'Cut tooltip' },
    Date: { id: 'Date', value: 'Tanggal', comment: 'Describes filtering by a date data type' },
    DaysOverdue: { id: 'DaysOverdue', value: '{0} Hari Terlambat', comment: 'For a task /date UI' },
    DaysRemaining: { id: 'DaysRemaining', value: '{0} Hari Tersisa', comment: 'For a task /date UI' },
    Delete: { id: 'Delete', value: 'Hapus', comment: 'Delete Toolbar Action Tooltip' },
    DistributeHoriz: { id: 'DistributeHoriz', value: 'Distribusikan Horizontal', comment: 'Icon button tooltip for action that distributes elements across Horizontally' },
    Document: { id: 'Document', value: 'Dokumen', comment: 'Document tooltip' },
    Dirty: { id: 'Dirty', value: 'Baris berubah', comment: 'Record is dirty / modified' },
    Drilldown: { id: 'Drilldown', value: 'Drill Turun', comment: 'Drill by moving page flow into a record' },
    Drillup: { id: 'Drillup', value: 'Drill Naik', comment: 'Opposite of Drilldown, move back up to a larger set of records' },
    Dropdown: { id: 'Dropdown', value: 'Dropdown', comment: 'Dropdown' },
    DoesNotContain: { id: 'DoesNotContain', value: 'Tidak Berisi', comment: 'Does Not Contain in icons for filtering' },
    DoesNotEndWith: { id: 'DoesNotEndWith', value: 'Tidak Berakhir Dengan', comment: 'For condition filtering' },
    DoesNotEqual: { id: 'DoesNotEqual', value: 'Tidak Sama Dengan', comment: 'Does Not Equal in icons for filtering' },
    DoesNotStartWith: { id: 'DoesNotStartWith', value: 'Tidak Mulai Dengan', comment: 'For condition filtering' },
    Down: { id: 'Down', value: 'Turun', comment: 'Down tooltip' },
    Download: { id: 'Download', value: 'Unduh', comment: 'Download tooltip' },
    Duplicate: { id: 'Duplicate', value: 'Duplikasi', comment: 'Duplicate tooltip' },
    EitherSelectedOrNotSelected: { id: 'EitherSelectedOrNotSelected', value: 'Dipilih Atau Tidak Dipilih', comment: 'Either Selected Or NotSelected in icons for filtering' },
    EndsWith: { id: 'EndsWith', value: 'Berakhir Dengan', comment: 'for condition filtering' },
    EnterComments: { id: 'EnterComments', value: 'Masukkan komentar di sini...', comment: 'Placeholder text for a text input (comments)' },
    Error: { id: 'Error', value: 'Kesalahan', comment: 'Title, Spoken Text describing fact an error has occured' },
    ErrorAllowedTypes: { id: 'ErrorAllowedTypes', value: 'Tipe file tidak diperbolehkan', comment: 'Error string for file-upload' },
    ErrorMaxFileSize: { id: 'ErrorMaxFileSize', value: 'Melebihi batas ukuran file', comment: 'Error string for file-upload' },
    ErrorMaxFilesInProcess: { id: 'ErrorMaxFilesInProcess', value: 'Melebihi batas maksimal file yang diperbolehkan', comment: 'Error string for file-upload' },
    ErrorOnPage: { id: 'ErrorOnPage', value: 'Pesan kesalahan pada halaman', comment: 'Error message(s) on page n' },
    EmailValidation: { id: 'EmailValidation', value: 'Alamat email tidak valid', comment: 'This the rule for email validation' },
    Emerald: { id: 'Emerald', value: 'Zamrud', comment: 'Color in our color pallette' },
    Expand: { id: 'Expand', value: 'Bentangkan', comment: 'Expand open a tree/submenu' },
    ExpandAppTray: { id: 'ExpandAppTray', value: 'Bentangkan App Tray', comment: 'ExpandAppTray tooltip' },
    ExpandCollapse: { id: 'ExpandCollapse', value: 'Bentangkan / Ciutkan', comment: 'Text to toggle a button in a container.' },
    ExportAsSpreadsheet: { id: 'ExportAsSpreadsheet', value: 'Ekspor sebagai Lembar kerja', comment: 'Export as Spreadsheet tooltip' },
    Edit: { id: 'Edit', value: 'Edit', comment: 'Edit tooltip' },
    Equals: { id: 'Equals', value: 'Sama dengan', comment: 'Equals in icons for filtering' },
    ExitFullView: { id: 'ExitFullView', value: 'Keluar dari Tampilan Penuh', comment: 'Exit Full View tooltip' },
    Export: { id: 'Export', value: 'Ekspor', comment: 'Export tooltip' },
    ExportToExcel: { id: 'ExportToExcel', value: 'Ekspor ke Excel', comment: 'Export To Excel menu option in datagrid' },
    Favorite: { id: 'Favorite', value: 'Favorit', comment: 'A favorite item' },
    FileUpload: { id: 'FileUpload', value: 'File Diunggah. Tekan Enter untuk Memilih file', comment: 'Screen Reader instructions' },
    Filter: { id: 'Filter', value: 'Filter', comment: 'Filter tooltip' },
    FirstPage: { id: 'FirstPage', value: 'Halaman Pertama', comment: 'First Page tooltip' },
    Folder: { id: 'Folder', value: 'Folder', comment: 'Folder tooltip' },
    FullView: { id: 'FullView', value: 'Tampilan Penuh', comment: 'Full View tooltip' },
    GoForward: { id: 'GoForward', value: 'Maju', comment: 'Move Page / object this direction' },
    GoBack: { id: 'GoBack', value: 'Kembali', comment: 'Move Page / object this directionp' },
    GoDown: { id: 'GoDown', value: 'Turun', comment: 'Move Page / object this directionp' },
    GoUp: { id: 'GoUp', value: 'Naik', comment: 'Move Page / object this direction' },
    Go: { id: 'Go', value: 'Go', comment: 'Go, perform a movement, start a search, move to the next "thing" in a workflow.' },
    Graphite: { id: 'Graphite', value: 'Grafit', comment: 'Color in our color pallette' },
    GreaterOrEquals: { id: 'GreaterOrEquals', value: 'Lebih Besar Dari atau Sama Dengan', comment: 'Greater Than Or Equals in icons for filtering' },
    GreaterThan: { id: 'GreaterThan', value: 'Lebih Besar Dari', comment: 'Greater Than in icons for filtering' },
    Grid: { id: 'Grid', value: 'Grid', comment: 'Grid tooltip' },
    Hours: { id: 'Hours', value: 'Jam', comment: 'the hour portion of a time' },
    HeadingThree: { id: 'HeadingThree', value: 'Heading Tiga', comment: 'Heading Three tooltip' },
    HeadingFour: { id: 'HeadingFour', value: 'Heading Empat', comment: 'Heading Four tooltip' },
    Highest: { id: 'Highest', value: 'Tertinggi', comment: 'Highest Four tooltip' },
    Home: { id: 'Home', value: 'Beranda', comment: 'Home tooltip' },
    HtmlView: { id: 'HtmlView', value: 'Tampilan Html', comment: 'Html View tooltip' },
    Image: { id: 'Image', value: 'Gambar', comment: 'Image of something' },
    Import: { id: 'Import', value: 'Impor', comment: 'Import tooltip' },
    Info: { id: 'Info', value: 'Info', comment: 'Info tooltip' },
    InfoOnPage: { id: 'InfoOnPage', value: 'Pesan informasi pada halaman', comment: 'Information message(s) on page n' },
    InProgress: { id: 'In Progress', value: 'Pencarian berlangsung', comment: 'Info tooltip that an action is in progress' },
    Insert: { id: 'Insert', value: 'Sisipkan', comment: 'Insert Modal Dialog Button' },
    InsertAnchor: { id: 'InsertAnchor', value: 'Sisipkan Jangkar', comment: 'Insert Acnhor (link) in an editor' },
    InsertImage: { id: 'InsertImage', value: 'Sisipkan Gambar', comment: 'Insert Image in an editor' },
    InsertLink: { id: 'InsertLink', value: 'Sisipkan Tautan', comment: 'Insert Link in an editor' },
    InsertUrl: { id: 'InsertUrl', value: 'Sisipkan Url', comment: 'Insert a Url in an editor' },
    Italic: { id: 'Italic', value: 'Miring', comment: 'Make Text Italic' },
    InvalidDate: { id: 'InvalidDate', value: 'Tanggal tidak valid', comment: 'validation message for wrong date format (short)' },
    InvalidTime: { id: 'InvalidTime', value: 'Waktu Tidak Valid', comment: 'validation message for wrong time format' },
    Inventory: { id: 'Inventory', value: 'Inventaris', comment: 'Icon button tooltop for Inventory Action' },
    IsEmpty: { id: 'IsEmpty', value: 'Kosong', comment: 'Is Empty in icons for filtering' },
    IsNotEmpty: { id: 'IsNotEmpty', value: 'Tidak Kosong', comment: 'Is Not Empty in icons for filtering' },
    ItemsSelected: { id: 'ItemsSelected', value: 'Item dipilih', comment: 'Num of Items selected for swaplist' },
    JustifyCenter: { id: 'JustifyCenter', value: 'Tengah', comment: 'justify text to center in the editor' },
    JustifyLeft: { id: 'JustifyLeft', value: 'Ratakan Kiri', comment: 'justify text to left in the editor' },
    JustifyRight: { id: 'JustifyRight', value: 'Ratakan Kanan', comment: 'justify text to right in the editor' },
    Keyword: { id: 'Keyword', value: 'Kata kunci', comment: 'Describes filtering by a keyword search' },
    Launch: { id: 'Launch', value: 'Jalankan', comment: 'Launch' },
    LastPage: { id: 'LastPage', value: 'Halaman Terakhir', comment: 'Last Page tooltip' },
    Left: { id: 'Left', value: 'Kiri', comment: 'Left tooltip' },
    LessOrEquals: { id: 'LessOrEquals', value: 'Kurang Dari atau Sama Dengan', comment: 'Less Than Or Equals in icons for filtering' },
    LessThan: { id: 'LessThan', value: 'Kurang Dari', comment: 'Less Than in icons for filtering' },
    Link: { id: 'Link', value: 'Tautan', comment: 'Link - as in hyperlink - icon tooltop' },
    Load: { id: 'Load', value: 'Muat', comment: 'Load icon tooltip' },
    Loading: { id: 'Loading', value: 'Memuat', comment: 'Text below spinning indicator to indicate loading' },
    Locale: { id: 'Locale', value: 'Lokasi', comment: 'The users locale string for example en-US, it-It' },
    Locked: { id: 'Locked', value: 'Terkunci', comment: 'Locked tooltip' },
    Logout: { id: 'Logout', value: 'Keluar', comment: 'Log out of the application' },
    Lookup: { id: 'Lookup', value: 'Cari', comment: 'Lookup - As in looking up a record or value' },
    Lowest: { id: 'Lowest', value: 'Terendah', comment: 'Lowest - As in Lowest value' },
    Mail: { id: 'Mail', value: 'Surat', comment: 'Mail tooltip' },
    MapPin: { id: 'MapPin', value: 'Pin', comment: 'Map Pin tooltip' },
    Maximize: { id: 'Maximize', value: 'Perbesar', comment: 'Maximize a screen or dialog in the UI' },
    Median: { id: 'Median', value: 'Median', comment: 'Median in Mathematics' },
    Medium: { id: 'Medium', value: 'Sedang', comment: 'Describes a Medium sized Row Height in a grid/list' },
    Menu: { id: 'Menu', value: 'Menu', comment: 'Menu tooltip' },
    MingleShare: { id: 'MingleShare', value: 'Bagikan dengan Ming.le', comment: 'Share the contextual object/action in the mingle system' },
    Minutes: { id: 'Minutes', value: 'Menit', comment: 'the minutes portion of a time' },
    Minimize: { id: 'Minimize', value: 'Perkecil', comment: 'Minimize tooltip' },
    Minus: { id: 'Minus', value: 'Kurang', comment: 'Minus tooltip' },
    Mobile: { id: 'Mobile', value: 'Ponsel', comment: 'Indicates a mobile device (phone tablet ect)' },
    Month: { id: 'Month', value: 'Bulan', comment: 'As in a date month' },
    More: { id: 'More', value: 'Lebih banyak lagi...', comment: 'Text Indicating More Buttons or form content' },
    MoreActions: { id: 'MoreActions', value: 'Lebih banyak lagi Tindakan', comment: 'Text on the More Actions button indictating hidden functions' },
    MoveToLeft: { id: 'MoveToLeft', value: 'Geser ke kiri', comment: 'Button tooltip used in a list of movable items' },
    MoveToRight: { id: 'MoveToRight', value: 'Geser ke kanan', comment: 'Button tooltip used in a list of movable items' },
    MsgDirty: { id: 'MsgDirty', value: ', Diubah', comment: 'for modified form fields' },
    NewDocument: { id: 'NewDocument', value: 'Dokumen Baru', comment: 'New Document tooltip' },
    NewItem: { id: 'NewItem', value: 'Item baru', comment: 'New item in listbuilder' },
    Next: { id: 'Next', value: 'Berikutnya', comment: 'Next in icons tooltip' },
    NextPage: { id: 'NextPage', value: 'Halaman Berikutnya', comment: 'Next on Pager' },
    NextMonth: { id: 'NextMonth', value: 'Bulan Berikutnya', comment: 'the label for the button that moves calendar to next/prev' },
    No: { id: 'No', value: 'Tidak', comment: 'On a dialog button' },
    NoData: { id: 'NoData', value: 'Data Tidak Tersedia', comment: 'Shown when there is no rows shown in a list' },
    NoDataFilter: { id: 'NoDataFilter', value: 'Data tidak tersedia, buat pilihan filter baru untuk melihat lebih banyak hasil.', comment: 'Shown when there is no rows shown in a list' },
    NoDataList: { id: 'NoDataList', value: 'Data tidak tersedia, buat pilihan pada daftar di atas untuk melihat lebih banyak hasil.', comment: 'Shown when there is no rows shown in a list' },
    NoResults: { id: 'NoResults', value: 'Tidak Ada Hasil', comment: 'Search Results Text' },
    Normal: { id: 'Normal', value: 'Normal', comment: 'Normal row height' },
    Notes: { id: 'Notes', value: 'Catatan', comment: 'Notes icon tooltip' },
    NotSelected: { id: 'NotSelected', value: 'Tidak Dipilih', comment: 'Not Selected in icons for filtering' },
    NumberList: { id: 'NumberList', value: 'Daftar Angka', comment: 'Number List tooltip' },
    Ok: { id: 'Ok', value: 'Oke', comment: 'Ok button on a dialog' },
    OpenBackClose: { id: 'OpenBackClose', value: 'Buka / Kembali / Tutup', comment: 'Open / Back / Close tooltip' },
    OpenClose: { id: 'OpenClose', value: 'Buka / Tutup', comment: 'Open / Close tooltip' },
    OrderedList: { id: 'OrderedList', value: 'Sisipkan/Buang Daftar Angka', comment: 'Insert an Ordered list in the editor' },
    Page: { id: 'Page', value: 'halaman ', comment: 'Text on the pager links' },
    PageOf: { id: 'PageOf', value: 'Halaman {0} dari {1}', comment: 'Pager Text Showing current and number of pages' },
    PageOn: { id: 'PageOn', value: 'Saat ini Anda berada di halaman ', comment: 'Text on the pager links' },
    Paste: { id: 'Paste', value: 'Tempel', comment: 'Paste icon tooltip' },
    PasswordValidation: { id: 'PasswordValidation', value: '<strong>Kata Sandi harus:</strong><br>Paling sedikit 10 karakter<br>Memiliki paling sedikit satu karakter huruf besar<br>Memiliki paling sedikit satu karakter huruf kecil<br>Berisi satu karakter khusus<br>Tidak berisi nama pengguna Anda<br>Bukan kata sandi yang digunakan sebelumnya<br>', comment: 'Password validation requirements' },
    PasswordConfirmValidation: { id: 'PasswordConfirmValidation', value: 'Kata Sandi harus cocok', comment: 'Password Confirm validation' },
    Peak: { id: 'Peak', value: 'Puncak', comment: 'the max or peak value in a chart' },
    PersonalizeColumns: { id: 'PersonalizeColumns', value: 'Personalisasi Kolom', comment: 'Customize Columns in a Grid' },
    Platform: { id: 'Platform', value: 'Platform', comment: 'The users operating system i.e. mac, windows' },
    Period: { id: 'Period', value: 'Periode', comment: 'the am/pm portion of a time' },
    PressDown: { id: 'PressDown', value: 'Tekan Turun panah untuk memilih tanggal', comment: 'the audible label for Tooltip about how to operate the date picker' },
    PressShiftF10: { id: 'PressShiftF10', value: 'Tekan Shift+F10 untuk membuka menu konteks.', comment: 'the audible infor for screen readers on how to use a field with a popup menu' },
    Previous: { id: 'Previous', value: 'Sebelumnya', comment: 'Previous icon tooltip - moved to previous record' },
    PreviousMonth: { id: 'PreviousMonth', value: 'Bulan Sebelumnya', comment: 'the label for the button that moves calendar to next/prev' },
    PreviousPage: { id: 'PreviousPage', value: 'Halaman Sebelumnya', comment: 'Previous Page tooltip' },
    Print: { id: 'Print', value: 'Cetak', comment: 'Print tooltip' },
    Range: { id: 'Range', value: 'Rentang', comment: 'Range for tooltip' },
    RecordsPerPage: { id: 'RecordsPerPage', value: '{0} Rekaman per halaman', comment: 'Dropdown allows the user to select how many visible records {} shows select value.' },
    Redo: { id: 'Redo', value: 'Lakukan lagi', comment: 'Redo tooltip' },
    ReorderRows: { id: 'ReorderRows', value: 'Urutkan Ulang Baris', comment: 'Drag and Reorder Grid Rows' },
    Refresh: { id: 'Refresh', value: 'Segarkan', comment: 'Refresh tooltip' },
    Required: { id: 'Required', value: 'Harus diisi', comment: 'indicates a form field is manditory' },
    Reset: { id: 'Reset', value: 'Reset', comment: 'Reset tooltip' },
    ResetDefault: { id: 'ResetDefault', value: 'Reset ke Default', comment: 'Reset Datagrid Columns, Filter and other Layout' },
    Result: { id: 'Result', value: 'Hasil', comment: 'Showing a single result in a List' },
    Results: { id: 'Results', value: 'Hasil', comment: 'As in showing N Results (plural) in a List' },
    RightAlign: { id: 'RightAlign', value: 'Ratakan Kanan', comment: 'Right Align tooltip' },
    RightAlignText: { id: 'RightAlignText', value: 'Ratakan Kanan', comment: 'Right Align Text tooltip' },
    Right: { id: 'Right', value: 'Kanan', comment: 'Right' },
    Roles: { id: 'Roles', value: 'Peran', comment: 'Roles tooltip' },
    RowHeight: { id: 'RowHeight', value: 'Tinggi Baris', comment: 'Describes the Height for Rows in a Data Grid' },
    Ruby: { id: 'Ruby', value: 'Mirah', comment: 'Color in our color pallette' },
    RunFilter: { id: 'RunFilter', value: 'Jalankan Filter', comment: 'Execute the current filter criteria' },
    Save: { id: 'Save', value: 'Simpan', comment: 'Save tooltip' },
    SaveCurrentView: { id: 'SaveCurrentView', value: 'Simpan Tampilan Saat ini', comment: 'Datagrids contain view sets. This menu option saves them' },
    SavedViews: { id: 'SavedViews', value: 'Tampilan Tersimpan', comment: 'Label for a list of Views' },
    Seconds: { id: 'Seconds', value: 'Detik', comment: 'the seconds portion of a time' },
    Search: { id: 'Search', value: 'Cari', comment: 'Search tooltip' },
    SearchColumnName: { id: 'SearchColumnName', value: 'Cari nama kolom ', comment: 'Search for a datagrid column by name' },
    SearchFolder: { id: 'SearchFolder', value: 'Cari di Folder', comment: 'Search Folder tooltip' },
    SearchList: { id: 'SearchList', value: 'Daftar Pencarian', comment: 'Search List tooltip' },
    Select: { id: 'Select', value: 'Pilih', comment: 'text describing a select action' },
    Selected: { id: 'Selected', value: 'Dipilih', comment: 'text describing a selected object' },
    SelectAll: { id: 'SelectAll', value: 'Pilih Semua', comment: 'describes the action of selecting all items available in a list' },
    Send: { id: 'Send', value: 'Kirim', comment: 'Send tooltip' },
    SetTime: { id: 'SetTime', value: 'Atur Waktu', comment: 'button text that inserts time when clicked' },
    Settings: { id: 'Settings', value: 'Pengaturan', comment: 'Settings tooltip' },
    Short: { id: 'Short', value: 'Pendek', comment: 'Describes a Shorted Row Height in a grid/list' },
    ShowFilterRow: { id: 'ShowFilterRow', value: 'Tampilkan Baris Filter', comment: 'Toggle a row with filer info above a list' },
    ShowLess: { id: 'ShowLess', value: 'Lebih ringkas', comment: 'Show less form content' },
    ShowMore: { id: 'ShowMore', value: 'Lebih banyak lagi', comment: 'Show more form content' },
    Slate: { id: 'Slate', value: 'Biru Abu-abu', comment: 'Color in our color pallette' },
    SlideOf: { id: 'SlideOf', value: 'Slide {0} dari {1}', comment: 'Slide Text Showing current and total number of slides' },
    SlidesOf: { id: 'SlidesOf', value: 'Slide {0} dan {1} dari {2}', comment: 'Slides Text Showing current slides and total number of slides' },
    SliderHandle: { id: 'SliderHandle', value: 'Penanganan untuk', comment: 'Description of the portion of a Slider control that is focusable and changes its value, followed in code by the name of the control' },
    SliderMaximumHandle: { id: 'SliderMaximumHandle', value: 'Rentang Maksimal Penanganan untuk', comment: 'Describes a maximum value handle in a Range (double slider), followed in code by the name of the control' },
    SliderMinimumHandle: { id: 'SliderMinimumHandle', value: 'Rentang Minimal Penanganan untuk', comment: 'Describes a minimum value handle in a Range (double slider), followed in code by the name of the control' },
    SkipToMain: { id: 'SkipToMain', value: 'Lompat ke Konten Utama', comment: 'Skip link in header, jumps when clicked on to main area' },
    StartsWith: { id: 'StartsWith', value: 'Mulai Dengan', comment: 'for condition filtering' },
    StepsCompleted: { id: 'StepsCompleted', value: '{0} dari {1} Langkah Selesai', comment: 'steps of a wizard/chart' },
    StrikeThrough: { id: 'StrikeThrough', value: 'Coret Tengah', comment: 'turn on and off strike through text in text editor (like word)' },
    SortAtoZ: { id: 'SortAtoZ', value: 'Sortir Naik', comment: 'Sort A to Z in icons for filtering' },
    SortZtoA: { id: 'SortZtoA', value: 'Sortir Turun', comment: 'Sort Z to A in icons for filtering' },
    SortDown: { id: 'SortDown', value: 'Sortir Turun', comment: 'Sort Down tooltip' },
    SortUp: { id: 'SortUp', value: 'Sortir Naik', comment: 'Sort Up tooltip' },
    Subscript: { id: 'Subscript', value: 'Subskrip', comment: 'Turn on and off Subscript text in text editor (like word)' },
    Superscript: { id: 'Superscript', value: 'Superskrip', comment: 'Turn on and off Superscript text in text editor (like word)' },
    Tabs: { id: 'Tabs', value: 'Tab...', comment: 'Used in the Tabs Control\'s more menu, preceeded by a number that describes how many tabs are in the spillover menu' },
    Tack: { id: 'Tack', value: 'Pin', comment: 'Pin an object' },
    Tall: { id: 'Tall', value: 'Tinggi', comment: 'Describes a Taller Row Height in a grid/list' },
    Target: { id: 'Target', value: 'Tujuan', comment: 'Label for an input to enter a Target (Url Attribute)' },
    TestLocaleDefaults: { id: 'TestLocaleDefaults', value: 'Menguji Lokasi Default', comment: 'Do not translate' },
    TextColor: { id: 'TextColor', value: 'Warna teks', comment: 'add or edit text color in the editor' },
    TextDropArea: { id: 'DropArea', value: 'Seret dan Jatuhkan File untuk Mengunggah', comment: 'text for drop area for advanced fileupload' },
    TextDropAreaWithBrowse: { id: 'TextDropAreaWithBrowse', value: 'Seret dan Jatuhkan atau <span class="hyperlink">Pilih File</span> untuk Mengunggah', comment: 'text for drop area with browse for advanced fileupload' },
    TextBtnCancel: { id: 'TextBtnCancel', value: 'Batalkan mengunggah file ini', comment: 'text for cancel button for advanced fileupload' },
    TextBtnCloseError: { id: 'TextBtnCloseError', value: 'Tutup kesalahan ini', comment: 'text for error close button for advanced fileupload' },
    TextBtnRemove: { id: 'TextBtnRemove', value: 'Tutup kesalahan ini', comment: 'text for remove button for advanced fileupload' },
    Timer: { id: 'Timer', value: 'Timer', comment: 'Timer tooltip' },
    Today: { id: 'Today', value: 'Hari Ini', comment: 'refering to today on a calendar' },
    ToggleBold: { id: 'ToggleBold', value: 'Pilih Teks Tebal', comment: 'turn on and off bold in text editor (like word)' },
    ToggleH3: { id: 'ToggleH3', value: 'Pilih Heading 3', comment: 'turn on and off heading 3 text' },
    ToggleH4: { id: 'ToggleH4', value: 'Pilih Heading 4', comment: 'turn on and off heading 4 text' },
    ToggleItalic: { id: 'ToggleItalic', value: 'Pilih Teks Miring', comment: 'turn on and off Italic in text editor (like word)' },
    ToggleUnderline: { id: 'ToggleUnderline', value: 'Pilih Teks Garis Bawah', comment: 'turn on and off Underline in text editor (like word)' },
    Toolbar: { id: 'Toolbar', value: 'Toolbar', comment: 'describing the toolbar component' },
    TopAlign: { id: 'TopAlign', value: 'Rata Atas', comment: 'Top Align tooltip' },
    Total: { id: 'Total', value: 'Total', comment: 'Mathematic total of a calculation' },
    Totals: { id: 'Totals', value: 'Total', comment: 'Mathematic total of a calculation (plural)' },
    TreeCollapse: { id: 'TreeCollapse', value: 'Ciutkan Pohon', comment: 'Tree Collapse tooltip' },
    TreeExpand: { id: 'TreeExpand', value: 'Bentangkan Pohon', comment: 'Tree Expand tooltip' },
    Turquoise: { id: 'Turquoise', value: 'Biru Kehijauan', comment: 'Color in our color pallette' },
    Up: { id: 'Up', value: 'Naik', comment: 'Up tooltip' },
    Upload: { id: 'Upload', value: 'Unggah', comment: 'Upload tooltip' },
    UnavailableDate: { id: 'UnavailableDate', value: 'Tanggal Tidak Tersedia', comment: 'Unavailable Date Text' },
    Underline: { id: 'Underline', value: 'Garis Bawah', comment: 'Make text Underlined' },
    Undo: { id: 'Undo', value: 'Batal Lakukan', comment: 'Undo tooltip' },
    Unlocked: { id: 'Unlocked', value: 'Buka Kunci', comment: 'Unlocked tooltip' },
    UnorderedList: { id: 'UnorderedList', value: 'Sisipkan/Buang Daftar Bullet', comment: 'Insert an Unordered list in the editor' },
    Unsupported: { id: 'Unsupported', value: 'Konten ini tidak tersedia karena menggunakan fitur yang tidak didukung dalam versi peramban Anda saat ini.', comment: 'Suggesting browser upgrade for missing features.' },
    Url: { id: 'Url', value: 'Url', comment: 'Url tooltip' },
    UseArrow: { id: 'UseArrow', value: '. Gunakan tombol panah untuk memilih.', comment: 'Instructional comments for screen readers' },
    UseEnter: { id: 'UseEnter', value: '. Gunakan tombol enter atau panah bawah untuk mencari.', comment: 'Instructional comments for screen readers' },
    User: { id: 'User', value: 'Pengguna', comment: 'User tooltip' },
    UserProfile: { id: 'UserProfile', value: 'Profil Pengguna', comment: 'User Profile tooltip' },
    VerticalMiddleAlign: { id: 'VerticalMiddleAlign', value: 'Rata Tengah Vertikal', comment: 'Vertical Align tooltip' },
    ViewSource: { id: 'ViewSource', value: 'Lihat Sumber', comment: 'Toggle the source view in the editor' },
    ViewVisual: { id: 'ViewVisual', value: 'Lihat Visual', comment: 'Toggle the visual view in the editor' },
    Year: { id: 'Year', value: 'Tahun', comment: 'As in a date year' },
    Yes: { id: 'Yes', value: 'Ya', comment: 'On a dialog button' }
  }
});
