/* eslint-disable no-bitwise, no-undef */

// Get Latest from http://www.unicode.org/Public/cldr/25/
Soho.Locale.addCulture('th-TH', {
  // layout/language
  language: 'th',
  englishName: 'Thai (Thailand)',
  nativeName: 'ไทย (ไทย)',
  // layout/orientation/@characters
  direction: 'left-to-right',
  // ca-gregorian
  calendars: [{
    // ca-gregorian/main/dates/calendars/gregorian/dateFormats/
    dateFormat: {
      separator: '/', // Infered
      timeSeparator: ':',
      short: 'd/M/yyyy', // use four digit year
      medium: 'd MMM yyyy',
      long: 'd MMMM yyyy',
      full: 'EEEEที่ d MMMM G yyyy',
      month: 'd MMMM',
      year: 'MMMM yyyy',
      timestamp: 'HH:mm:ss',
      datetime: 'd/M/yyyy HH:mm'
    }, // Infered short + short gregorian/dateTimeFormats
    // ca-gregorian/main/dates/calendars/gregorian/days/format/short or abbreviated (2 digit)
    days: {
      wide: ['วันอาทิตย์', 'วันจันทร์', 'วันอังคาร', 'วันพุธ', 'วันพฤหัสบดี', 'วันศุกร์', 'วันเสาร์'],
      abbreviated: ['อา.', 'จ.', 'อ.', 'พ.', 'พฤ.', 'ศ.', 'ส.'],
      narrow: ['อา', 'จ', 'อ', 'พ', 'พฤ', 'ศ', 'ส']
    },
    // ca-gregorian/main/dates/calendars/gregorian/months/format/wide
    months: {
      wide: ['มกราคม', 'กุมภาพันธ์', 'มีนาคม', 'เมษายน', 'พฤษภาคม', 'มิถุนายน', 'กรกฎาคม', 'สิงหาคม', 'กันยายน', 'ตุลาคม', 'พฤศจิกายน', 'ธันวาคม'],
      abbreviated: ['ม.ค.', 'ก.พ.', 'มี.ค.', 'เม.ย.', 'พ.ค.', 'มิ.ย.', 'ก.ค.', 'ส.ค.', 'ก.ย.', 'ต.ค.', 'พ.ย.', 'ธ.ค.']
    },
    // ca-gregorian/main/dates/calendars/gregorian/timeFormats/short
    timeFormat: 'HH:mm',
    // ca-gregorian/main/dates/calendars/gregorian/dayPeriods/wide
    dayPeriods: ['ก่อนเที่ยง', 'หลังเที่ยง']
  }],
  // numbers/currencyFormats-numberSystem-latn/standard (Replace Sign http://www.currencysymbols.in ?)
  currencySign: 'kr', // (Replace Sign http://www.currencysymbols.in ?)
  currencyFormat: '¤#,##0.00',
  // numbers/symbols-numberSystem-latn
  numbers: {
    percentSign: '%',
    percentFormat: '#,##0 %',
    minusSign: '-',
    decimal: '.',
    group: ','
  },
  // Resx - Approved By Translation Team
  messages: {
    AboutText: { id: 'AboutText', value: 'ลิขสิทธิ์ &copy; {0} Infor. ขอสงวนลิขสิทธิ์ คำและเครื่องหมายการออกแบบที่ระบุในที่นี้เป็นเครื่องหมายการค้า และ/หรือเครื่องหมายการค้าจดทะเบียนของ Infor และ/หรือบริษัทในเครือและบริษัทสาขา ขอสงวนลิขสิทธิ์ สำหรับเครื่องหมายการค้าอื่นที่ระบุไว้ที่นี้ทั้งหมดถือเป็นทรัพย์สินของเจ้าของที่เกี่ยวข้อง' },
    Actions: { id: 'Actions', value: 'การดำเนินการ', comment: 'Tooltip text for the action button with additional in context actions' },
    AdditionalItems: { id: 'AdditionalItems', value: 'รายการเพิ่มเติม', comment: 'Button tooltip used in a list of movable items' },
    Add: { id: 'Add', value: 'เพิ่ม', comment: 'Add' },
    AddNewTab: { id: 'AddNewTab', value: 'เพิ่มแท็บใหม่', comment: 'Attached to a button that adds new tabs' },
    AdvancedFilter: { id: 'AdvancedFilter', value: 'สร้างตัวกรองขั้นสูง', comment: 'In a data grid active an advanced filtering feature' },
    Alert: { id: 'Alert', value: 'การแจ้งเตือน', comment: 'Alert' },
    AlertOnPage: { id: 'AlertOnPage', value: 'ข้อความแจ้งเตือนในหน้า', comment: 'Alert message(s) on page n' },
    All: { id: 'All', value: 'ทั้งหมด', comment: 'All items in the context of a filter' },
    AllResults: { id: 'AllResults', value: 'ผลลัพธ์ทั้งหมดสำหรับ', comment: 'Search Results Text' },
    AligntoBottom: { id: 'AligntoBottom', value: 'จัดชิดด้านล่าง', comment: 'Align to Bottom tooltip' },
    AlignCenterHorizontally: { id: 'AlignCenterHorizontally', value: 'จัดแนวตรงกลางแนวนอน', comment: 'Align Center Horizontally tooltip' },
    Amber: { id: 'Amber', value: 'สีเหลืองอำพัน', comment: 'Color in our color pallette' },
    Amethyst: { id: 'Amethyst', value: 'สีม่วง', comment: 'Color in our color pallette' },
    Apply: { id: 'Apply', value: 'ใช้', comment: 'Text in a button to apply an action' },
    Attach: { id: 'Attach', value: 'แนบ', comment: 'Attach' },
    Available: { id: 'Available', value: 'มี', comment: 'Button tooltip used in a list of movable items' },
    Azure: { id: 'Azure', value: 'สีขาวอมฟ้า', comment: 'Color in our color pallette' },
    BackgroundColor: { id: 'BackgroundColor', value: 'สีพื้นหลัง', comment: 'add or edit text background color in the editor' },
    Between: { id: 'Between', value: 'ระหว่าง', comment: 'Between in icons for filtering' },
    Blockquote: { id: 'Blockquote', value: 'บล็อกการเสนอราคา', comment: 'insert a block quote in the editor' },
    Bold: { id: 'Bold', value: 'ตัวหนา', comment: 'Make text Bold' },
    Bookmarked: { id: 'Bookmarked', value: 'บุ๊กมาร์กแล้ว', comment: 'Bookmark filled - Element is already bookmarked' },
    BookmarkThis: { id: 'BookmarkThis', value: 'บุ๊กมาร์กหน้านี้', comment: 'Bookmark an element' },
    Breadcrumb: { id: 'Breadcrumb', value: 'แสดงเส้นทาง', comment: 'Text describing the Breadcrumb' },
    Browser: { id: 'Browser', value: 'เบราว์เซอร์', comment: 'As in a Web Browser' },
    BulletedList: { id: 'BulletedList', value: 'รายการสัญลักษณ์หัวข้อย่อย', comment: 'Bulleted List tooltip' },
    Calendar: { id: 'Calendar', value: 'ปฏิทิน', comment: 'Inline Text for the title of the Calendar control' },
    Camera: { id: 'Camera', value: 'กล้อง', comment: 'Camera tooltip' },
    Cancel: { id: 'Cancel', value: 'ยกเลิก', comment: 'Cancel tooltip' },
    CapsLockOn: { id: 'CapsLockOn', value: 'เปิด Caps Lock', comment: 'Caps Lock On message' },
    Cart: { id: 'Cart', value: 'รถเข็น', comment: 'Cart tooltip' },
    CenterText: { id: 'CenterText', value: 'ตรงกลาง', comment: 'An Icon Tooltip' },
    CharactersLeft: { id: 'CharactersLeft', value: 'ตัวอักษรที่เหลือ {0}', comment: 'indicator showing how many more characters you can type.' },
    CharactersMax: { id: 'CharactersMax', value: 'จำนวนตัวอักษรสูงสุดของ ', comment: 'indicator showing how many max characters you can type.' },
    ChangeSelection: { id: 'ChangeSelection', value: '. เปลี่ยนการเลือกโดยการใช้ปุ่มลูกศร', comment: 'Audible Text for drop down list help' },
    Checkbox: { id: 'Checkbox', value: 'กล่องกาเครื่องหมาย', comment: 'Checkbox tooltip' },
    Checked: { id: 'Checked', value: 'ตรวจสอบแล้ว', comment: 'Checked tooltip' },
    Clear: { id: 'Clear', value: 'ล้าง', comment: 'Tooltip for a Clear Action' },
    ClearFilter: { id: 'ClearFilter', value: 'ล้างตัวกรอง', comment: 'Clear the current filter criteria' },
    ClearSelection: { id: 'ClearSelection', value: '(ล้างการเลือก)', comment: 'clear dropdown selection' },
    Clock: { id: 'Clock', value: 'นาฬิกา', comment: 'Clock tooltip' },
    Close: { id: 'Close', value: 'ปิด', comment: 'Tooltip for a Close Button Action' },
    Clickable: { id: 'Clickable', value: 'สามารถคลิกได้ในตัวแก้ไข', comment: 'Clickable in editor' },
    Copy: { id: 'Copy', value: 'คัดลอก', comment: 'Copy tooltip' },
    Collapse: { id: 'Collapse', value: 'ยุบ', comment: 'Collapse / close a tree/submenu' },
    CollapseAppTray: { id: 'CollapseAppTray', value: 'ยุบถาดแอป', comment: 'Collapse App Tray tooltip' },
    Columns: { id: 'Columns', value: 'คอลัมน์', comment: 'Columns tooltip' },
    Component: { id: 'Component', value: 'องค์ประกอบ', comment: 'As in a UI component - building block.' },
    Compose: { id: 'Compose', value: 'สร้าง', comment: 'Compose tooltip' },
    Completed: { id: 'Completed', value: 'เสร็จสิ้นแล้ว', comment: 'Text For a Completed Status' },
    Confirm: { id: 'Confirm', value: 'ยืนยัน', comment: 'Confirm tooltip' },
    ConfirmOnPage: { id: 'ConfirmOnPage', value: 'ข้อความยืนยันในหน้า', comment: 'Confirm message(s) on page n' },
    CookiesEnabled: { id: 'CookiesEnabled', value: 'เปิดใช้งานคุกกี้', comment: 'Returns if browser cookies are enabled or not.' },
    Contains: { id: 'Contains', value: 'ประกอบด้วย', comment: 'Contains in icons for filtering' },
    CssClass: { id: 'CssClass', value: 'ระดับ Css', comment: 'Label for entering a Css Class name' },
    Cut: { id: 'Cut', value: 'ตัด', comment: 'Cut tooltip' },
    Date: { id: 'Date', value: 'วันที่', comment: 'Describes filtering by a date data type' },
    DaysOverdue: { id: 'DaysOverdue', value: 'เกินกำหนด {0} วัน', comment: 'For a task /date UI' },
    DaysRemaining: { id: 'DaysRemaining', value: 'เหลือ {0} วัน', comment: 'For a task /date UI' },
    Delete: { id: 'Delete', value: 'ลบ', comment: 'Delete Toolbar Action Tooltip' },
    DistributeHoriz: { id: 'DistributeHoriz', value: 'กระจายแนวนอน', comment: 'Icon button tooltip for action that distributes elements across Horizontally' },
    Document: { id: 'Document', value: 'เอกสาร', comment: 'Document tooltip' },
    Dirty: { id: 'Dirty', value: 'เปลี่ยนแถวแล้ว', comment: 'Record is dirty / modified' },
    Drilldown: { id: 'Drilldown', value: 'ดูรายละเอียดแนวลึก', comment: 'Drill by moving page flow into a record' },
    Drillup: { id: 'Drillup', value: 'ดูข้อมูลสรุป', comment: 'Opposite of Drilldown, move back up to a larger set of records' },
    Dropdown: { id: 'Dropdown', value: 'ดรอปดาวน์', comment: 'Dropdown' },
    DoesNotContain: { id: 'DoesNotContain', value: 'ไม่ได้ประกอบด้วย', comment: 'Does Not Contain in icons for filtering' },
    DoesNotEndWith: { id: 'DoesNotEndWith', value: 'ไม่ได้ลงท้ายด้วย', comment: 'For condition filtering' },
    DoesNotEqual: { id: 'DoesNotEqual', value: 'ไม่เท่ากับ', comment: 'Does Not Equal in icons for filtering' },
    DoesNotStartWith: { id: 'DoesNotStartWith', value: 'ไม่ได้เริ่มต้นด้วย', comment: 'For condition filtering' },
    Down: { id: 'Down', value: 'ลง', comment: 'Down tooltip' },
    Download: { id: 'Download', value: 'ดาวน์โหลด', comment: 'Download tooltip' },
    Duplicate: { id: 'Duplicate', value: 'ทำซ้ำ', comment: 'Duplicate tooltip' },
    EitherSelectedOrNotSelected: { id: 'EitherSelectedOrNotSelected', value: 'ไม่ว่าจะเลือกหรือไม่เลือก', comment: 'Either Selected Or NotSelected in icons for filtering' },
    EndsWith: { id: 'EndsWith', value: 'จบด้วย', comment: 'for condition filtering' },
    EnterComments: { id: 'EnterComments', value: 'ป้อนความเห็นที่นี่...', comment: 'Placeholder text for a text input (comments)' },
    Error: { id: 'Error', value: 'ข้อผิดพลาด', comment: 'Title, Spoken Text describing fact an error has occured' },
    ErrorAllowedTypes: { id: 'ErrorAllowedTypes', value: 'ไม่อนุญาตให้ใช้ประเภทไฟล์นี้', comment: 'Error string for file-upload' },
    ErrorMaxFileSize: { id: 'ErrorMaxFileSize', value: 'เกินขนาดไฟล์ที่จำกัด', comment: 'Error string for file-upload' },
    ErrorMaxFilesInProcess: { id: 'ErrorMaxFilesInProcess', value: 'เกินจำนวนไฟล์สูงสุดที่อนุญาต', comment: 'Error string for file-upload' },
    ErrorOnPage: { id: 'ErrorOnPage', value: 'ข้อความข้อผิดพลาดในหน้า', comment: 'Error message(s) on page n' },
    EmailValidation: { id: 'EmailValidation', value: 'ที่อยู่อีเมลไม่ถูกต้อง', comment: 'This the rule for email validation' },
    Emerald: { id: 'Emerald', value: 'สีเขียวมรกต', comment: 'Color in our color pallette' },
    Expand: { id: 'Expand', value: 'ขยาย', comment: 'Expand open a tree/submenu' },
    ExpandAppTray: { id: 'ExpandAppTray', value: 'ขยายถาดแอป', comment: 'ExpandAppTray tooltip' },
    ExpandCollapse: { id: 'ExpandCollapse', value: 'ขยาย / ยุบ', comment: 'Text to toggle a button in a container.' },
    ExportAsSpreadsheet: { id: 'ExportAsSpreadsheet', value: 'ส่งออกเป็นสเปรดชีต', comment: 'Export as Spreadsheet tooltip' },
    Edit: { id: 'Edit', value: 'แก้ไข', comment: 'Edit tooltip' },
    Equals: { id: 'Equals', value: 'เท่ากับ', comment: 'Equals in icons for filtering' },
    ExitFullView: { id: 'ExitFullView', value: 'ออกจากหน้าจอเต็ม', comment: 'Exit Full View tooltip' },
    Export: { id: 'Export', value: 'ส่งออก', comment: 'Export tooltip' },
    ExportToExcel: { id: 'ExportToExcel', value: 'ส่งออกไปยัง Excel', comment: 'Export To Excel menu option in datagrid' },
    Favorite: { id: 'Favorite', value: 'รายการโปรด', comment: 'A favorite item' },
    FileUpload: { id: 'FileUpload', value: 'ไฟล์อัปโหลด กด Enter เพื่อเรียกดูไฟล์', comment: 'Screen Reader instructions' },
    Filter: { id: 'Filter', value: 'ตัวกรอง', comment: 'Filter tooltip' },
    FirstPage: { id: 'FirstPage', value: 'หน้าแรก', comment: 'First Page tooltip' },
    Folder: { id: 'Folder', value: 'โฟลเดอร์', comment: 'Folder tooltip' },
    FullView: { id: 'FullView', value: 'หน้าจอเต็ม', comment: 'Full View tooltip' },
    GoForward: { id: 'GoForward', value: 'ไปข้างหน้า', comment: 'Move Page / object this direction' },
    GoBack: { id: 'GoBack', value: 'ย้อนกลับ', comment: 'Move Page / object this directionp' },
    GoDown: { id: 'GoDown', value: 'ไปด้านล่าง', comment: 'Move Page / object this directionp' },
    GoUp: { id: 'GoUp', value: 'ไปด้านบน', comment: 'Move Page / object this direction' },
    Go: { id: 'Go', value: 'Go', comment: 'Go, perform a movement, start a search, move to the next "thing" in a workflow.' },
    Graphite: { id: 'Graphite', value: 'แกรไฟต์', comment: 'Color in our color pallette' },
    GreaterOrEquals: { id: 'GreaterOrEquals', value: 'มากกว่าหรือเท่ากับ', comment: 'Greater Than Or Equals in icons for filtering' },
    GreaterThan: { id: 'GreaterThan', value: 'มากกว่า', comment: 'Greater Than in icons for filtering' },
    Grid: { id: 'Grid', value: 'เส้นตาราง', comment: 'Grid tooltip' },
    Hours: { id: 'Hours', value: 'ชั่วโมง', comment: 'the hour portion of a time' },
    HeadingThree: { id: 'HeadingThree', value: 'หัวเรื่องสาม', comment: 'Heading Three tooltip' },
    HeadingFour: { id: 'HeadingFour', value: 'หัวเรื่องสี่', comment: 'Heading Four tooltip' },
    Highest: { id: 'Highest', value: 'สูงสุด', comment: 'Highest Four tooltip' },
    Home: { id: 'Home', value: 'หน้าหลัก', comment: 'Home tooltip' },
    HtmlView: { id: 'HtmlView', value: 'มุมมอง Html', comment: 'Html View tooltip' },
    Image: { id: 'Image', value: 'รูปภาพ', comment: 'Image of something' },
    Import: { id: 'Import', value: 'นำเข้า', comment: 'Import tooltip' },
    Info: { id: 'Info', value: 'ข้อมูล', comment: 'Info tooltip' },
    InfoOnPage: { id: 'InfoOnPage', value: 'ข้อความข้อมูลในหน้า', comment: 'Information message(s) on page n' },
    InProgress: { id: 'In Progress', value: 'กำลังดำเนินการ', comment: 'Info tooltip that an action is in progress' },
    Insert: { id: 'Insert', value: 'แทรก', comment: 'Insert Modal Dialog Button' },
    InsertAnchor: { id: 'InsertAnchor', value: 'แทรกจุดยึด', comment: 'Insert Acnhor (link) in an editor' },
    InsertImage: { id: 'InsertImage', value: 'แทรกรูปภาพ', comment: 'Insert Image in an editor' },
    InsertLink: { id: 'InsertLink', value: 'แทรกลิงก์', comment: 'Insert Link in an editor' },
    InsertUrl: { id: 'InsertUrl', value: 'แทรก Url', comment: 'Insert a Url in an editor' },
    Italic: { id: 'Italic', value: 'ตัวเอียง', comment: 'Make Text Italic' },
    InvalidDate: { id: 'InvalidDate', value: 'วันที่ไม่ถูกต้อง', comment: 'validation message for wrong date format (short)' },
    InvalidTime: { id: 'InvalidTime', value: 'เวลาไม่ถูกต้อง', comment: 'validation message for wrong time format' },
    Inventory: { id: 'Inventory', value: 'สินค้าคงคลัง', comment: 'Icon button tooltop for Inventory Action' },
    IsEmpty: { id: 'IsEmpty', value: 'ที่ว่าง', comment: 'Is Empty in icons for filtering' },
    IsNotEmpty: { id: 'IsNotEmpty', value: 'ที่ไม่ว่าง', comment: 'Is Not Empty in icons for filtering' },
    ItemsSelected: { id: 'ItemsSelected', value: 'เลือกรายการแล้ว', comment: 'Num of Items selected for swaplist' },
    JustifyCenter: { id: 'JustifyCenter', value: 'ตรงกลาง', comment: 'justify text to center in the editor' },
    JustifyLeft: { id: 'JustifyLeft', value: 'จัดชิดซ้าย', comment: 'justify text to left in the editor' },
    JustifyRight: { id: 'JustifyRight', value: 'จัดชิดขวา', comment: 'justify text to right in the editor' },
    Keyword: { id: 'Keyword', value: 'คำสำคัญ', comment: 'Describes filtering by a keyword search' },
    Launch: { id: 'Launch', value: 'เปิดใช้', comment: 'Launch' },
    LastPage: { id: 'LastPage', value: 'หน้าสุดท้าย', comment: 'Last Page tooltip' },
    Left: { id: 'Left', value: 'ซ้าย', comment: 'Left tooltip' },
    LessOrEquals: { id: 'LessOrEquals', value: 'น้อยกว่าหรือเท่ากับ', comment: 'Less Than Or Equals in icons for filtering' },
    LessThan: { id: 'LessThan', value: 'น้อยกว่า', comment: 'Less Than in icons for filtering' },
    Link: { id: 'Link', value: 'ลิงก์', comment: 'Link - as in hyperlink - icon tooltop' },
    Load: { id: 'Load', value: 'โหลด', comment: 'Load icon tooltip' },
    Loading: { id: 'Loading', value: 'กำลังโหลด', comment: 'Text below spinning indicator to indicate loading' },
    Locale: { id: 'Locale', value: 'Locale', comment: 'The users locale string for example en-US, it-It' },
    Locked: { id: 'Locked', value: 'ล็อกแล้ว', comment: 'Locked tooltip' },
    Logout: { id: 'Logout', value: 'ออกจากระบบ', comment: 'Log out of the application' },
    Lookup: { id: 'Lookup', value: 'ค้นหา', comment: 'Lookup - As in looking up a record or value' },
    Lowest: { id: 'Lowest', value: 'ต่ำที่สุด', comment: 'Lowest - As in Lowest value' },
    Mail: { id: 'Mail', value: 'จดหมาย', comment: 'Mail tooltip' },
    MapPin: { id: 'MapPin', value: 'ปักหมุด', comment: 'Map Pin tooltip' },
    Maximize: { id: 'Maximize', value: 'ขยายใหญ่สุด', comment: 'Maximize a screen or dialog in the UI' },
    Median: { id: 'Median', value: 'มัธยฐาน', comment: 'Median in Mathematics' },
    Medium: { id: 'Medium', value: 'ขนาดกลาง', comment: 'Describes a Medium sized Row Height in a grid/list' },
    Menu: { id: 'Menu', value: 'เมนู', comment: 'Menu tooltip' },
    MingleShare: { id: 'MingleShare', value: 'แบ่งปันกับ Ming.le', comment: 'Share the contextual object/action in the mingle system' },
    Minutes: { id: 'Minutes', value: 'นาที', comment: 'the minutes portion of a time' },
    Minimize: { id: 'Minimize', value: 'ย่อเล็กสุด', comment: 'Minimize tooltip' },
    Minus: { id: 'Minus', value: 'ลบ', comment: 'Minus tooltip' },
    Mobile: { id: 'Mobile', value: 'อุปกรณ์เคลื่อนที่', comment: 'Indicates a mobile device (phone tablet ect)' },
    Month: { id: 'Month', value: 'เดือน', comment: 'As in a date month' },
    More: { id: 'More', value: 'เพิ่มเติม...', comment: 'Text Indicating More Buttons or form content' },
    MoreActions: { id: 'MoreActions', value: 'การดำเนินการเพิ่มเติม', comment: 'Text on the More Actions button indictating hidden functions' },
    MoveToLeft: { id: 'MoveToLeft', value: 'เลื่อนไปทางซ้าย', comment: 'Button tooltip used in a list of movable items' },
    MoveToRight: { id: 'MoveToRight', value: 'เลื่อนไปทางขวา', comment: 'Button tooltip used in a list of movable items' },
    MsgDirty: { id: 'MsgDirty', value: ', แก้ไขแล้ว', comment: 'for modified form fields' },
    NewDocument: { id: 'NewDocument', value: 'เอกสารใหม่', comment: 'New Document tooltip' },
    NewItem: { id: 'NewItem', value: 'รายการใหม่', comment: 'New item in listbuilder' },
    Next: { id: 'Next', value: 'ถัดไป', comment: 'Next in icons tooltip' },
    NextPage: { id: 'NextPage', value: 'หน้าถัดไป', comment: 'Next on Pager' },
    NextMonth: { id: 'NextMonth', value: 'เดือนถัดไป', comment: 'the label for the button that moves calendar to next/prev' },
    No: { id: 'No', value: 'ไม่', comment: 'On a dialog button' },
    NoData: { id: 'NoData', value: 'ไม่มีข้อมูล', comment: 'Shown when there is no rows shown in a list' },
    NoDataFilter: { id: 'NoDataFilter', value: 'ไม่มีข้อมูล สร้างตัวกรองการเลือกใหม่เพื่อดูผลลัพธ์เพิ่มเติม', comment: 'Shown when there is no rows shown in a list' },
    NoDataList: { id: 'NoDataList', value: 'ไม่มีข้อมูล สร้างตัวกรองการเลือกใหม่ในรายการด้านบนเพื่อดูผลลัพธ์เพิ่มเติม', comment: 'Shown when there is no rows shown in a list' },
    NoResults: { id: 'NoResults', value: 'ไม่พบผลลัพธ์', comment: 'Search Results Text' },
    Normal: { id: 'Normal', value: 'ปกติ', comment: 'Normal row height' },
    Notes: { id: 'Notes', value: 'บันทึก', comment: 'Notes icon tooltip' },
    NotSelected: { id: 'NotSelected', value: 'ไม่ได้เลือก', comment: 'Not Selected in icons for filtering' },
    NumberList: { id: 'NumberList', value: 'รายการตัวเลข', comment: 'Number List tooltip' },
    Ok: { id: 'Ok', value: 'โอเค', comment: 'Ok button on a dialog' },
    OpenBackClose: { id: 'OpenBackClose', value: 'เปิด / ย้อนกลับ / ปิด', comment: 'Open / Back / Close tooltip' },
    OpenClose: { id: 'OpenClose', value: 'เปิด / ปิด', comment: 'Open / Close tooltip' },
    OrderedList: { id: 'OrderedList', value: 'แทรก/ลบรายการตัวเลข', comment: 'Insert an Ordered list in the editor' },
    Page: { id: 'Page', value: 'หน้า ', comment: 'Text on the pager links' },
    PageOf: { id: 'PageOf', value: 'หน้า {0} จาก {1}', comment: 'Pager Text Showing current and number of pages' },
    PageOn: { id: 'PageOn', value: 'ขณะนี้คุณอยู่ในหน้า ', comment: 'Text on the pager links' },
    Paste: { id: 'Paste', value: 'วาง', comment: 'Paste icon tooltip' },
    PasswordValidation: { id: 'PasswordValidation', value: '<strong>รหัสผ่านต้อง</strong><br>มีความยาวอักขระอย่างน้อย 10 ตัวอักษร<br>มีอักขระตัวพิมพ์ใหญ่อย่างน้อยหนึ่งตัว<br>มีอักขระตัวพิมพ์เล็กอย่างน้อยหนึ่งตัว<br>มีอักขระพิเศษหนึ่งตัว<br>ไม่ประกอบด้วยชื่อผู้ใช้ของคุณ<br>ต้องไม่ใช่รหัสผ่านที่ใช้แล้ว<br>', comment: 'Password validation requirements' },
    PasswordConfirmValidation: { id: 'PasswordConfirmValidation', value: 'รหัสผ่านต้องตรงกัน', comment: 'Password Confirm validation' },
    Peak: { id: 'Peak', value: 'สูงสุด', comment: 'the max or peak value in a chart' },
    PersonalizeColumns: { id: 'PersonalizeColumns', value: 'ปรับแต่งคอลัมน์', comment: 'Customize Columns in a Grid' },
    Platform: { id: 'Platform', value: 'แพลตฟอร์ม', comment: 'The users operating system i.e. mac, windows' },
    Period: { id: 'Period', value: 'รอบระยะเวลา', comment: 'the am/pm portion of a time' },
    PressDown: { id: 'PressDown', value: 'กดลูกศร Down เพื่อเลือกวันที่', comment: 'the audible label for Tooltip about how to operate the date picker' },
    PressShiftF10: { id: 'PressShiftF10', value: 'กด Shift+F10 เพื่อเปิดเมนูเนื้อหา', comment: 'the audible infor for screen readers on how to use a field with a popup menu' },
    Previous: { id: 'Previous', value: 'ก่อนหน้า', comment: 'Previous icon tooltip - moved to previous record' },
    PreviousMonth: { id: 'PreviousMonth', value: 'เดือนก่อนหน้า', comment: 'the label for the button that moves calendar to next/prev' },
    PreviousPage: { id: 'PreviousPage', value: 'หน้าก่อนหน้า', comment: 'Previous Page tooltip' },
    Print: { id: 'Print', value: 'พิมพ์', comment: 'Print tooltip' },
    Range: { id: 'Range', value: 'ขอบเขต', comment: 'Range for tooltip' },
    RecordsPerPage: { id: 'RecordsPerPage', value: '{0} บันทึกต่อหน้า', comment: 'Dropdown allows the user to select how many visible records {} shows select value.' },
    Redo: { id: 'Redo', value: 'ทำซ้ำ', comment: 'Redo tooltip' },
    ReorderRows: { id: 'ReorderRows', value: 'เรียงแถวใหม่', comment: 'Drag and Reorder Grid Rows' },
    Refresh: { id: 'Refresh', value: 'รีเฟรช', comment: 'Refresh tooltip' },
    Required: { id: 'Required', value: 'ต้องระบุ', comment: 'indicates a form field is manditory' },
    Reset: { id: 'Reset', value: 'รีเซ็ต', comment: 'Reset tooltip' },
    ResetDefault: { id: 'ResetDefault', value: 'รีเซ็ตเป็นค่าเริ่มต้น', comment: 'Reset Datagrid Columns, Filter and other Layout' },
    Result: { id: 'Result', value: 'ผลลัพธ์', comment: 'Showing a single result in a List' },
    Results: { id: 'Results', value: 'ผลลัพธ์', comment: 'As in showing N Results (plural) in a List' },
    RightAlign: { id: 'RightAlign', value: 'จัดชิดขวา', comment: 'Right Align tooltip' },
    RightAlignText: { id: 'RightAlignText', value: 'จัดชิดขวา', comment: 'Right Align Text tooltip' },
    Right: { id: 'Right', value: 'ขวา', comment: 'Right' },
    Roles: { id: 'Roles', value: 'บทบาท', comment: 'Roles tooltip' },
    RowHeight: { id: 'RowHeight', value: 'ความสูงแถว', comment: 'Describes the Height for Rows in a Data Grid' },
    Ruby: { id: 'Ruby', value: 'ทับทิม', comment: 'Color in our color pallette' },
    RunFilter: { id: 'RunFilter', value: 'เรียกใช้ตัวกรอง', comment: 'Execute the current filter criteria' },
    Save: { id: 'Save', value: 'บันทึก', comment: 'Save tooltip' },
    SaveCurrentView: { id: 'SaveCurrentView', value: 'บันทึกมุมมองปัจจุบัน', comment: 'Datagrids contain view sets. This menu option saves them' },
    SavedViews: { id: 'SavedViews', value: 'มุมมองที่บันทึกไว้', comment: 'Label for a list of Views' },
    Seconds: { id: 'Seconds', value: 'วินาที', comment: 'the seconds portion of a time' },
    Search: { id: 'Search', value: 'ค้นหา', comment: 'Search tooltip' },
    SearchColumnName: { id: 'SearchColumnName', value: 'ค้นหาชื่อคอลัมน์', comment: 'Search for a datagrid column by name' },
    SearchFolder: { id: 'SearchFolder', value: 'ค้นหาในโฟลเดอร์', comment: 'Search Folder tooltip' },
    SearchList: { id: 'SearchList', value: 'ค้นหารายการ', comment: 'Search List tooltip' },
    Select: { id: 'Select', value: 'เลือก', comment: 'text describing a select action' },
    Selected: { id: 'Selected', value: 'เลือกแล้ว', comment: 'text describing a selected object' },
    SelectAll: { id: 'SelectAll', value: 'เลือกทั้งหมด', comment: 'describes the action of selecting all items available in a list' },
    Send: { id: 'Send', value: 'ส่ง', comment: 'Send tooltip' },
    SetTime: { id: 'SetTime', value: 'ตั้งเวลา', comment: 'button text that inserts time when clicked' },
    Settings: { id: 'Settings', value: 'การตั้งค่า', comment: 'Settings tooltip' },
    Short: { id: 'Short', value: 'สั้น', comment: 'Describes a Shorted Row Height in a grid/list' },
    ShowFilterRow: { id: 'ShowFilterRow', value: 'แสดงแถวตัวกรอง', comment: 'Toggle a row with filer info above a list' },
    ShowLess: { id: 'ShowLess', value: 'แสดงน้อยลง', comment: 'Show less form content' },
    ShowMore: { id: 'ShowMore', value: 'แสดงมากขึ้น', comment: 'Show more form content' },
    Slate: { id: 'Slate', value: 'กระดานชนวน', comment: 'Color in our color pallette' },
    SlideOf: { id: 'SlideOf', value: 'สไลด์ {0} จาก {1}', comment: 'Slide Text Showing current and total number of slides' },
    SlidesOf: { id: 'SlidesOf', value: 'สไลด์ {0} และ {1} จาก {2}', comment: 'Slides Text Showing current slides and total number of slides' },
    SliderHandle: { id: 'SliderHandle', value: 'จัดการสำหรับ', comment: 'Description of the portion of a Slider control that is focusable and changes its value, followed in code by the name of the control' },
    SliderMaximumHandle: { id: 'SliderMaximumHandle', value: 'ช่วงสูงสุดในการจัดการสำหรับ', comment: 'Describes a maximum value handle in a Range (double slider), followed in code by the name of the control' },
    SliderMinimumHandle: { id: 'SliderMinimumHandle', value: 'ช่วงต่ำสุดในการจัดการสำหรับ', comment: 'Describes a minimum value handle in a Range (double slider), followed in code by the name of the control' },
    SkipToMain: { id: 'SkipToMain', value: 'ข้ามไปยังเนื้อหาหลัก', comment: 'Skip link in header, jumps when clicked on to main area' },
    StartsWith: { id: 'StartsWith', value: 'เริ่มต้นด้วย', comment: 'for condition filtering' },
    StepsCompleted: { id: 'StepsCompleted', value: '{0} จาก {1} ขั้นตอนเสร็จสิ้น', comment: 'steps of a wizard/chart' },
    StrikeThrough: { id: 'StrikeThrough', value: 'ขีดทับ', comment: 'turn on and off strike through text in text editor (like word)' },
    SortAtoZ: { id: 'SortAtoZ', value: 'เรียงลำดับจากน้อยไปมาก', comment: 'Sort A to Z in icons for filtering' },
    SortZtoA: { id: 'SortZtoA', value: 'เรียงลำดับจากมากไปน้อย', comment: 'Sort Z to A in icons for filtering' },
    SortDown: { id: 'SortDown', value: 'เรียงลง', comment: 'Sort Down tooltip' },
    SortUp: { id: 'SortUp', value: 'เรียงขึ้น', comment: 'Sort Up tooltip' },
    Subscript: { id: 'Subscript', value: 'ตัวห้อย', comment: 'Turn on and off Subscript text in text editor (like word)' },
    Superscript: { id: 'Superscript', value: 'ตัวยก', comment: 'Turn on and off Superscript text in text editor (like word)' },
    Tabs: { id: 'Tabs', value: 'แท็บ...', comment: 'Used in the Tabs Control\'s more menu, preceeded by a number that describes how many tabs are in the spillover menu' },
    Tack: { id: 'Tack', value: 'ปักหมุด', comment: 'Pin an object' },
    Tall: { id: 'Tall', value: 'สูง', comment: 'Describes a Taller Row Height in a grid/list' },
    Target: { id: 'Target', value: 'เป้าหมาย', comment: 'Label for an input to enter a Target (Url Attribute)' },
    TestLocaleDefaults: { id: 'TestLocaleDefaults', value: 'การทดสอบค่าเริ่มต้นของ Locale', comment: 'Do not translate' },
    TextColor: { id: 'TextColor', value: 'สีข้อความ', comment: 'add or edit text color in the editor' },
    TextDropArea: { id: 'DropArea', value: 'ลากและวางไฟล์เพื่ออัปโหลด', comment: 'text for drop area for advanced fileupload' },
    TextDropAreaWithBrowse: { id: 'TextDropAreaWithBrowse', value: 'ลากแล้ววางหรือ<span class="hyperlink">เลือกไฟล์</span> เพื่ออัปโหลด', comment: 'text for drop area with browse for advanced fileupload' },
    TextBtnCancel: { id: 'TextBtnCancel', value: 'ยกเลิกการอัปโหลดไฟล์นี้', comment: 'text for cancel button for advanced fileupload' },
    TextBtnCloseError: { id: 'TextBtnCloseError', value: 'ปิดข้อผิดพลาดนี้', comment: 'text for error close button for advanced fileupload' },
    TextBtnRemove: { id: 'TextBtnRemove', value: 'ปิดข้อผิดพลาดนี้', comment: 'text for remove button for advanced fileupload' },
    Timer: { id: 'Timer', value: 'ตัวจับเวลา', comment: 'Timer tooltip' },
    Today: { id: 'Today', value: 'วันนี้', comment: 'refering to today on a calendar' },
    ToggleBold: { id: 'ToggleBold', value: 'สลับตัวหนา', comment: 'turn on and off bold in text editor (like word)' },
    ToggleH3: { id: 'ToggleH3', value: 'สลับหัวเรื่อง 3', comment: 'turn on and off heading 3 text' },
    ToggleH4: { id: 'ToggleH4', value: 'สลับหัวเรื่อง 4', comment: 'turn on and off heading 4 text' },
    ToggleItalic: { id: 'ToggleItalic', value: 'สลับอักษรตัวเอียง', comment: 'turn on and off Italic in text editor (like word)' },
    ToggleUnderline: { id: 'ToggleUnderline', value: 'สลับอักษรที่ขีดเส้นใต้', comment: 'turn on and off Underline in text editor (like word)' },
    Toolbar: { id: 'Toolbar', value: 'แถบเครื่องมือ', comment: 'describing the toolbar component' },
    TopAlign: { id: 'TopAlign', value: 'จัดชิดด้านบน', comment: 'Top Align tooltip' },
    Total: { id: 'Total', value: 'รวม', comment: 'Mathematic total of a calculation' },
    Totals: { id: 'Totals', value: 'รวม', comment: 'Mathematic total of a calculation (plural)' },
    TreeCollapse: { id: 'TreeCollapse', value: 'ยุบทรี', comment: 'Tree Collapse tooltip' },
    TreeExpand: { id: 'TreeExpand', value: 'ขยายทรี', comment: 'Tree Expand tooltip' },
    Turquoise: { id: 'Turquoise', value: 'เทอร์ควอยส์', comment: 'Color in our color pallette' },
    Up: { id: 'Up', value: 'ขึ้น', comment: 'Up tooltip' },
    Upload: { id: 'Upload', value: 'อัปโหลด', comment: 'Upload tooltip' },
    UnavailableDate: { id: 'UnavailableDate', value: 'วันที่ไม่พร้อมใช้งาน', comment: 'Unavailable Date Text' },
    Underline: { id: 'Underline', value: 'ขีดเส้นใต้', comment: 'Make text Underlined' },
    Undo: { id: 'Undo', value: 'เลิกทำ', comment: 'Undo tooltip' },
    Unlocked: { id: 'Unlocked', value: 'ปลดล็อกแล้ว', comment: 'Unlocked tooltip' },
    UnorderedList: { id: 'UnorderedList', value: 'แทรก/ลบรายการสัญลักษณ์หัวข้อย่อย', comment: 'Insert an Unordered list in the editor' },
    Unsupported: { id: 'Unsupported', value: 'เนื้อหานี้ไม่พร้อมใช้งาน เนื่องจากเนื้อหาใช้คุณลักษณะที่ไม่ได้รับการรับรองในเวอร์ชันเบราว์เซอร์ปัจจุบันของคุณ', comment: 'Suggesting browser upgrade for missing features.' },
    Url: { id: 'Url', value: 'Url', comment: 'Url tooltip' },
    UseArrow: { id: 'UseArrow', value: '. ใช้ปุ่มลูกศรเพื่อเลือก', comment: 'Instructional comments for screen readers' },
    UseEnter: { id: 'UseEnter', value: '. ใช้ enter หรือลูกศรลงเพื่อค้นหา', comment: 'Instructional comments for screen readers' },
    User: { id: 'User', value: 'ผู้ใช้', comment: 'User tooltip' },
    UserProfile: { id: 'UserProfile', value: 'โปรไฟล์ผู้ใช้', comment: 'User Profile tooltip' },
    VerticalMiddleAlign: { id: 'VerticalMiddleAlign', value: 'จัดแนวตรงกลางแนวตั้ง', comment: 'Vertical Align tooltip' },
    ViewSource: { id: 'ViewSource', value: 'ดูทรัพยากร', comment: 'Toggle the source view in the editor' },
    ViewVisual: { id: 'ViewVisual', value: 'ดูภาพ', comment: 'Toggle the visual view in the editor' },
    Year: { id: 'Year', value: 'ปี', comment: 'As in a date year' },
    Yes: { id: 'Yes', value: 'ใช่', comment: 'On a dialog button' }
  }
});
